export default async (context, locale) => {
  return await Promise.resolve({
    fm: {
      components: {
        fields: {
          input: 'نص واحد',
          textarea: 'نص متعدد الأسطر',
          number: 'عداد',
          radio: 'مجموعة أزرار اختيار واحد',
          checkbox: 'مجموعة أزرار اختيار متعدد',
          time: 'منتقى الوقت',
          date: 'منتقى التاريخ',
          rate: 'تقييم',
          color: 'منتقى الألوان',
          select: 'قائمة منسدلة',
          switch: 'مفتاح تبديل',
          slider: 'منزلق',
          text: 'نص',
          blank: 'منطقة مخصصة',
          fileupload: 'ملف',
          imgupload: 'صورة',
          editor: 'محرر',
          cascader: 'منتقى متدرج',
          table: 'نموذج فرعي',
          grid: 'تخطيط الشبكة',
          tabs: 'علامات تبويب',
          divider: 'خط فاصل'
        },
        basic: {
          title: 'حقول الأساسية'
        },
        advance: {
          title: 'حقول متقدمة'
        },
        layout: {
          title: 'حقول التخطيط'
        }
      },
      description: {
        containerEmpty: 'اسحب من الجانب الأيسر لإضافة حقول',
        configEmpty: 'الرجاء إضافة حقول',
        tableEmpty: 'اسحب من الجانب الأيسر لإضافة حقول',
        uploadJsonInfo: 'صيغة JSON كما يلي، انسخ مباشرة الكود المُولد والصقه هنا وانقر فوق موافق لتطبيق التغييرات'
      },
      message: {
        copySuccess: 'تم النسخ بنجاح',
        validError: 'فشل في التحقق من صحة بيانات النموذج'
      },
      actions: {
        import: 'استيراد JSON',
        clear: 'مسح',
        preview: 'معاينة',
        json: 'إنشاء JSON',
        code: 'إنشاء الكود',
        getData: 'الحصول على البيانات',
        reset: 'إعادة تعيين',
        copyData: 'نسخ البيانات',
        cancel: 'إلغاء',
        confirm: 'تأكيد',
        addOption: 'إضافة خيار',
        addColumn: 'إضافة عمود',
        addTab: 'إضافة علامة تبويب',
        upload: 'انقر للرفع',
        add: 'إضافة'
      },
      config: {
        form: {
          title: 'خصائص النموذج',
          labelPosition: {
            title: 'طريقة محاذاة التسمية',
            left: 'محاذاة لليسار',
            right: 'محاذاة لليمين',
            top: 'محاذاة لأعلى'
          },
          labelWidth: 'عرض التسمية',
          size: 'حجم المكون',
          customClass: 'فئة مخصصة'
        },
        widget: {
          title: 'خصائص الحقل',
          model: 'هوية الحقل',
          name: 'العنوان',
          width: 'العرض',
          height: 'الارتفاع',
          size: 'الحجم',
          labelWidth: 'عرض التسمية',
          custom: 'مخصص',
          placeholder: 'نص العنصر',
          layout: 'وضعية',
          block: 'منفصل',
          inline: 'في السطر',
          contentPosition: 'موقع النص',
          left: 'اليسار',
          right: 'اليمين',
          center: 'وسط',
          showInput: 'عرض مربع الإدخال',
          min: 'الحد الأدنى',
          max: 'الحد الأقصى',
          step: 'الخطوة',
          multiple: 'اختيار متعدد',
          filterable: 'إمكانية البحث',
          allowHalf: 'السماح بالنصف',
          showAlpha: 'دعم اختيار الشفافية',
          showLabel: 'عرض التسمية',
          option: 'خيار',
          staticData: 'بيانات ثابتة',
          remoteData: 'بيانات عن بُعد',
          dynamic: 'متغير',
          remoteFunc: 'دالة عن بُعد',
          value: 'القيمة',
          label: 'التسمية',
          childrenOption: 'خيارات الأبناء',
          defaultValue: 'القيمة الافتراضية',
          showType: 'نوع العرض',
          isRange: 'هل هو تحديد مدى',
          isTimestamp: 'هل هو الحصول على الطابع الزمني',
          startPlaceholder: 'نص بداية الوقت',
          endPlaceholder: 'نص نهاية الوقت',
          format: 'التنسيق'
        }
      }
    },
    chats: {
      messages: 'رسائل',
      groups: 'مجموعات',
      create_group: 'انشاء مجموع',
      no_groups: 'لا يوجد مجموعات',
      chats: 'شات',
      no_chat: 'لا يوجد شات',
      view_more: 'المزيد',
      your_message: 'اكتب رسالتك...',
      send: 'ارسال',
      online: 'اون لاين',
      offline: 'اوف لاين',
      seen: 'مرئي',
      create_chat: ' انشاء رساله',
      filter_by: 'اختار حالة الرساله',
      groups_chat: 'الرسائل ',
      subtitle: 'هذه هي بيانات قائمة الرسائل الخاصة بك',
      inbox_overview: ' نظرة عامة على صندوق الوارد',
      tags: 'اشارات',
      assigned_to: ' المعينة إلي',
      search: 'بحث بالاسم او بالاشاره',
      enter_whatsapp_number: 'ادخل رقم الواتس اب',
      archive: 'ارشيف',
      my_inbox_overview: 'صندوقي الوارد',
      team_inbox_overview: ' صندوق الوارد الخاص بالفريق',
      forward_to: 'ننقل الي '
    },

    global: {
      app_name: 'The String',
      filter: 'Filter',
      save: 'Save',
      cancel: 'Cancel',
      search: 'Search Here',
      add_new: 'إضافة {myVar}',
      create_new: 'إنشاء {myVar} جديد',
      edit: 'تعديل {myVar}',
      choose: 'اختر {myVar}',
      choose_parent: 'اختر {myVar} الرئيسي',
      choose_child: 'اختر {myVar} الفرعي',
      reset: 'إعادة',
      dashboard: 'لوحة التحكم',
      loading: 'جارى التحميل',
      add_field: 'إضافة حقل',
      edit_field: 'تعديل حقل',
      name: 'الاسم',
      email: 'البريد الإلكتروني',
      choice: 'الاختيار',
      date: 'التاريخ',
      number: 'الرقم',
      phone: 'الهاتف',
      password: 'كلمة المرور',
      labelen: 'اسم الحقل بالانجليزية',
      labelar: 'اسم الحقل بالعربية',
      placelen: 'Placeholder بالانجليزية',
      placelar: 'Placeholder بالعربية',
      status: 'هل مخفي؟',
      hidden: 'مخفي',
      notHidden: 'ليس مخفي',
      validation: 'مطلوب',
      options: 'خيار',
      required: 'مطلوب',
      notrequired: 'ليس مطلوب',
      subscriptions: 'الاشتراكات',
      whatsapp: 'واتس اب',
      actions: 'الإجراءات',
      delete_message: 'هل انت متأكد من حذف {myVar}؟',
      delete_dialog_header: 'حذف {myVar}',
      share: 'مشاركة {myVar}',
      no_data: 'لا يوجد {myVar} حتى الآن',
      upload: 'رفع',
      upload_media: 'رفع وسائط',
      generate_share_link: 'انشاء رابط مشاركة',
      generate: 'انشاء'
    },

    subscriptions: {
      title: 'الاشتراكات',
      subtitle: 'هذه هي بيانات قائمة الاشتراكات الخاصة بك'
    },

    whatsapp: {
      title: 'واتس اب',
      subtitle: 'هذه هى بيانات الواتس اب الخاصة بك',
      new_whatsapp_account: 'حساب واتس اب جديد',
      whatsapp_accounts_list: 'قائمة حسابات الواتس اب',
      edit_whatsapp_account: 'تعديل حساب واتس اب',
      whatsapp_accounts_contatcs_list: 'جهات اتصال حساب الواتس اب',
      add_account_contacts: 'اضافة جهة اتصال',
      tags: 'الاشارات',
      add_new_contact: 'إضافة جهة اتصال',
      edit_contact: 'تعديل جهة اتصال',
      basic_info: 'المعلومات الاساسية',
      name: 'الاسم',
      phone: 'رقم الهاتف',
      custom_parameters: 'المدخلات المخصصة',
      add: 'اضافة',
      save: 'حفظ',
      import: 'استيراد',
      import_contacts: 'استيراد جهات الاتصال',
      csv_file: 'ملف CSV',
      cancel: 'الغاء',
      custom_field: 'حقل مخصص',
      value: 'القيمة',
      actions: 'الاجراءات',
      add_new_custom_field: 'اضافة حقل جديد',
      edit_custom_field: 'تعديل الحقل',
      edit: 'تعديل',
      delete: 'حذف',
      delete_contact: 'حذف جهة الاتصال',
      delete_contact_message: 'هل انت متأكد من حذف جهة الاتصال'
    },

    notification: {
      content: '<span class="primary--text">{name}</span> has joined throuh <span class="primary--text">{platform}</span>'
    },
    navigation: {
      dashboard: 'الرئيسية',
      products: 'المنتجات',
      branches: 'الفروع',
      agents: 'الوكلاء',
      roles: 'الأدوار',
      forms: 'النماذج',
      invoices: 'الفواتير',
      task_mangment: 'ادارة المهام',
      quantity: 'الكمية',
      leads: 'عملاء',
      campaigns: 'الحملات',
      groups: 'مجموعات',
      platforms: 'المنصات',
      transactions: 'المعاملات',
      statuses: 'الحالات',
      servises: 'خدمات',
      services: 'خدمات',
      taxes: 'الضرائب',
      categories: 'اقسام',
      brands: 'ماركة',
      reports: 'التقارير',
      settings: 'إعدادات',
      nothing: 'لا يوجد شيء للعرض',
      clients: 'العملاء',
      quotes_and_invoices: 'عروض الأسعار والفواتير',
      chat: 'محادثة'
    },
    quote: {
      title: 'عروض الأسعار والفواتير',
      subTitle: 'create your Quotes and Invoices data',
      filter: {
        title: 'Filter Reports'
      }
    },
    menu: {
      title: 'Menu',
      edit: 'Edit Menu',
      subtitle: 'Here is the table of menu item',
      oldName: 'Old name',
      newName: 'New name',
      singular: 'Singular Name',
      featured: 'Featured'
    },
    changePassword: {
      title: 'Password',
      subtitle: 'Please enter your current password to change your password',
      currentPassword: 'current password',
      newPassword: 'new password',
      confirmNewPassword: 'confirm new password',
      validationPassword: 'Your new password must be more than 8 characters.'
    },
    profileTab: {
      title: 'Personal info',
      subtitle: 'Update your photo and personal details here.',
      name: 'Name',
      first: 'First name',
      last: 'Last name',
      email: 'Email address',
      yourPhoto: 'Your photo',
      yourPhotoDes: 'This will be displayed on your profile.',
      ClickUpload: 'Click to upload',
      dragDrop: 'or drag and drop',
      validationPhoto: 'SVG, PNG, JPG or GIF (max. 800x400px)',
      role: 'Role',
      country: 'Country',
      bio: 'Bio',
      bioDesc: 'Write a short introduction.',
      description: 'Description',
      phone_number: 'Phone number',
      personal_phone: 'Personal phone',
      is_email_verified: 'Is email verified',
      verified: 'verified',
      not_verified: 'Not verified',
      gender: 'gender',
      birthday: 'birthday',
      national_id: 'National id',
      charactersLeft: 'characters left'
    },
    companyTab: {
      title: 'Company info',
      subtitle: 'Update your photo and company details here.'
    },
    reports: {
      title: 'Reports',
      subTitle: 'Here is your reports list data',
      filter: {
        title: 'Filter Reports'
      },
      leads_status_title: 'حالات العملاء',
      platforms: 'المنصات',
      status_one: 'الحالة الاولي',
      status_two: 'الحالة الثانية',
      status_three: 'الحالة الثالثة',
      filter: 'تصفية'
    },
    settings: {
      title: 'إعدادات',
      subtitle: 'هذه هي بيانات قائمة الإعدادات الخاصة بك',
      team: {
        title: 'الفريق',
        createNewTeam: 'إنشاء فريق جديد',
        addYourTeam: 'إضافة فريقك',
        editYourTeam: 'تعديل فريقك',
        setUpYourTeam: 'إعداد فريقك',
        setupTeamCTA: 'إعداد الفريق',
        introductionDescription:
          'أولاً، دعونا نشاهد هذا الفيديو السريع لنتعلم كيفية إعداد فريقك. عند الانتهاء، انقر على زر إعداد الفريق للبدء.',
        tabs: {
          introduction: 'مقدمة الإعداد',
          department: 'الأقسام',
          roles: 'الأدوار',
          agents: 'إضافة فريقك'
        },
        tableHeaders: {
          userName: 'اسم المستخدم',
          email: 'البريد الإلكتروني',
          phone: 'الهاتف',
          NationalId: 'الهوية الوطنية',
          role: 'الدور',
          action: 'العملية'
        },
        teamForm: {
          name: 'الاسم الكامل',
          namePlaceholder: 'أدخل اسم المستخدم هنا',
          email: 'البريد الإلكتروني',
          emailPlaceholder: 'أدخل عنوان البريد الإلكتروني هنا',
          personalPhone: 'الهاتف الشخصي',
          personalPhonePlaceholder: 'أدخل الهاتف الشخصي هنا',
          nationalId: 'الهوية الوطنية',
          nationalIdPlaceholder: 'أدخل الهوية الوطنية هنا',
          role: 'الدور',
          rolePlaceholder: 'حدد الدور هنا',
          gender: 'الجنس',
          male: 'ذكر',
          female: 'أنثى',
          branches: 'الفروع',
          branchesPlaceholder: 'حدد الفروع هنا',
          brands: 'العلامات التجارية',
          brandsPlaceholder: 'حدد العلامات التجارية هنا',
          reportTo: 'تقديم تقرير إلى',
          selectReportTo: 'حدد من تقديم التقرير إليه',
          departments: 'الأقسام',
          departmentsPlaceholder: 'اختر القسم هنا',
          target: 'الهدف',
          targetPlaceholder: 'حدد الهدف هنا',
          percentage: 'النسبة المئوية',
          number_of_leads: 'عدد الإشارات',
          monthly: 'شهرياً',
          quarterly: 'ربع سنوي',
          annually: 'سنوياً',
          amount: 'المبلغ',
          amountPlaceholder: 'أدخل المبلغ هنا',
          errorPercentage: 'يجب أن تكون النسبة المئوية بين 0-100',
          errorAmount: 'الرجاء إدخال المبلغ',
          errorTarget: 'الرجاء تحديد الهدف',
          errorPeriod: 'يرجى تحديد الفترة'
        }
      },
      details: {
        title: 'واتس اب',
        subtilte: 'الرجاء إدخال المعلومات الأساسية الخاصة بك لتطبيق واتس اب',
        add_account: 'أضف حساب واتس اب',
        delete_account: 'حذف الحساب',
        add_template: ' إضافة نماذج الرسائل'
      },
      label: {
        name: 'اسم المستخدم',
        phone: 'رقم الهاتف',
        bmid: 'رقم الفرع',
        phone_id: 'Phone ID',
        token: 'Whatsapp Account Token'
      },
      facebook: {
        title: 'إنشاء حساب الأعمال الخاص بك على',
        des: 'للمتابعة ، ستحتاج إلى الوصول إلى حساب Facebook Business الخاص بشركتك ، أيضًا',
        step_1: 'الاسم والعنوان القانوني لشركتك',
        step_2: 'اسم عرض ووصف قصير للأعمال',
        step_3: 'رقم هاتف لا يحتوي على حساب واتس اب الحالي ، يمكنك أيضًا حذف حساب واتس اب برقمك الحالي عن طريق',
        step_4: 'لا تستخدم رقمًا متصلًا بالفعل بحساب واتس اب ، فلن تتمكن من إكمال العملية',
        follow: 'اتباع الخطوات المذكورة هنا',
        continue: 'تواصل مع الفيسبوك'
      },
      whatsApp: {
        category: 'الفئة',
        caption: 'سيكون هذا مرئيًا في ملف تعريف عملك',
        description: 'وصف',
        description_details: 'أخبر عملائك عن شركتك',
        whatsApp_overview: 'معاينة ملف تعريف الأعمال',
        contact_info: ' معلومات الاتصال',
        contact_info_details: ' أضف بعض تفاصيل الاتصال لعملك ',
        address: 'العنوان',
        email: 'البريد الالكتروني ',
        website: 'الموقع الإلكتروني',
        business_account: 'حساب الاعمال'
      },
      template: {
        create_template: 'أنشئ قالب',
        edit_template_name: 'تعديل اسم القالب  ',
        edit_template: 'تعديل القالب ',
        submit: 'حفظ',
        optional: 'اختياري',
        header: 'العنوان',
        header_details: 'أضف عنوانًا أو اختر نوع الوسائط التي ستستخدمها لهذا العنوان',
        header_content: 'امثله لمحتوي العنوان',
        header_content_details:
          'لمساعدتنا في مراجعة المحتوى الخاص بك، قدم أمثلة على المتغيرات أو الوسائط في العنوان. لا تتضمن أي معلومات عن العملاء.',
        body: 'النص',
        body_details: 'أضف نص رسالتك باللغة التي اخترتها',
        body_content: ' امثله لمحتوي النص',
        body_content_details:
          'لمساعدتنا في مراجعة المحتوى الخاص بك، قدم أمثلة على المتغيرات أو الوسائط في الجسم. لا تتضمن أي معلومات عن العملاء.',
        footer: 'نهايه',
        footer_details:
          'أضف سطرًا قصيرًا من النص إلى أسفل قالب رسالتك. إذا قمت بإضافة زر إلغاء الاشتراك التسويقي، فسيتم عرض نهايه الارتباط هنا افتراضيًا.',
        button: 'الزراير',
        buttons_details: 'قم بإنشاء أزرار تتيح للعملاء الرد على رسالتك أو اتخاذ إجراء',
        button_warning_header: 'نوصي بإضافة زر إلغاء الاشتراك في التسويق ',
        button_warning_details:
          'اسمح للعملاء بطلب إلغاء الاشتراك في جميع الرسائل التسويقية. يمكن أن يساعد ذلك في تقليل الكتل من العملاء وزيادة تصنيف الجودة الخاص بك. تعلم المزيد',
        preview: 'معاينه',
        header_error:
          'يحتوي هذا النموذج على معلمات متغيرة مع تنسيق غير صحيح. يجب أن تكون المعلمات المتغيرة أرقامًا كاملة مع مجموعتين من الأقواس المجعدة (على سبيل المثال، {{1}}، {2}}).',
        button: 'ازرار',
        button_details: 'قم بإنشاء ما يصل إلى 2 أزرار تتيح للعملاء الرد على رسالتك أو اتخاذ إجراء.',
        button_hint1: 'نوصي بإضافة زر إلغاء الاشتراك في التسويق          ',
        button_hint2:
          'اسمح للعملاء بطلب إلغاء الاشتراك في جميع الرسائل التسويقية. يمكن أن يساعد ذلك في تقليل الكتل من العملاء وزيادة تصنيف الجودة الخاص بك. تعلم المزيد',
        type_of_action: 'نوع الإجراء',
        button_text: 'نص الزر',
        country: 'كود الدوله',
        phone_number: 'رقم الهاتف',
        url_type: 'URL نوع',
        website_url: 'الويب',
        add_another_action: 'اضف زرار اخر',
        category_title: 'قالب رسائل جديد',
        category_title_details: 'إليك بيانات الدردشات الجماعية الخاصة بك',
        category: 'فئات',
        category_details: 'اختر فئة تصف بشكل أفضل نموذج رسالتك. تعرف على المزيد حول الفئات',
        category_hint: 'تتوفر فئات جديدة.',
        name: 'الاسم',
        name_details: 'اسم قالب رسالتك',
        language: 'اللغات',
        language_details: 'اختر لغة لنموذج رسالتك. يمكنك حذف أو إضافة المزيد من اللغات لاحقًا.'
      },
      tabs: {
        setUpBusiness: 'إعداد الأعمال',
        setUpYourTeam: 'إعداد فريقك',
        profile: 'الملف الشخصي',
        password: 'كلمة المرور',
        email: 'البريد الإلكتروني',
        notifications: 'الإشعارات',
        integration: 'التكامل',
        menu: 'القائمة',
        fields: 'الحقول',
        formBuilder: 'منشئ النماذج',
        emailTemplates: 'قوالب البريد الإلكتروني',
      },
      fields: {
        introduction: 'أولاً، دعونا نشاهد هذا الفيديو السريع لنتعلم ما هي الحقول. عند الانتهاء، انقر على زر قائمة الإعداد للبدء.',
        setupMenu: 'قائمة الإعداد',
        select: 'حدد الحقول التي ستكون مرئية',
        show: 'إظهار',
        field: 'حقل',
        required: 'مطلوب',
        notRequired: 'غير مطلوب'
      }
    },
    files: {
      drop: 'إسقاط الملف أو إضغط لتحميل',
      max_file_size: 'الحد الأقصى لحجم الملف: {size}',
      remove_file: 'إزالة الملف',
      attachfile: 'أرفق ملف'
    },
    general: {
      projects: {
        title: 'المشاريع',
        subtitle: 'هنا هو جدول المشاريع',
        create_new_project: 'إنشاء مشروع جديد',
        add_new_project: 'إضافة مشروع جديد',
        add_new_project_description: 'لن تكون قادرًا على ذلك',
        owners: 'المالكون',
        alerts: {
          deleteTask: {
            title: 'Are You Sure To delete this Task?'
          }
        },
        taskes: {
          ProjectTasksTitle: 'مهام المشروع',
          title: 'تفاصيل المهمة',
          subTitle: 'هنا هي تفاصيل المهمة',
          ProjectsListData: 'قائمة المشاريع',
          addTask: 'إضافة مهمة',
          editTask: 'تعديل المهمة',
          createdBy: 'تم الإنشاء بواسطة',
          noTasks: 'لا توجد مهام حتى الآن',
          menu: 'القائمة',
          comments: 'التعليقات',
          noComments: 'لا توجد تعليقات حتى الآن',
          totalProgress: 'إجمالي التقدم',
          projectCreate: 'تم الإنشاء ',
          dueDate: 'تاريخ الإستحقاق',
          projectDescription: 'وصف المشروع',
          fileType: 'هذا الملف غير مدعوم',
          commentField: {
            placeholder: 'أضف تعليقًا هنا'
          },
          send: 'إرسال',
          createPopup: {
            title: 'إنشاء مهمة جديدة',
            edit: 'تعديل المهمة'
          },
          attach: {
            title: 'إرفاق ملف',
            subTitle: 'إرفاق ملف'
          },
          filter: {
            All: 'الكل',
            Important: 'مهم',
            Completed: 'منجز',
            Pending: 'قيد الانتظار',
            Trash: 'سلة المهملات',
            More: 'المزيد'
          }
        },
        single: {
          title: 'المشاريع',
          subTitle: 'هنا هو جدول المشاريع',
          members: 'الأعضاء',
          InvitePeople: 'دعوة الأشخاص',
          Private: 'خاص',
          Edit: 'تعديل',
          Comments: 'التعليقات',
          TotalProgress: 'إجمالي التقدم',
          ProjectCreate: 'إنشاء مشروع',
          Duedate: 'تاريخ الاستحقاق',
          projectDescription: 'وصف المشروع',
          createdAt: 'تم الإنشاء في',
          commentField: {
            placeholder: 'اكتب تعليقك هنا'
          },
          send: 'إرسال',
          NewestComment: 'أحدث تعليق'
        }
      },
      invoices: {
        title: 'الفواتير',
        subtitle: 'هنا هو جدول الفواتير',
        add_new_invoice: 'إضافة فاتورة جديدة',
        date: 'التاريخ',
        number: 'رقم الفاتورة',
        customer: 'العميل',
        amount: 'المبلغ',
        currency: 'العملة',
        user: 'المستخدم',
        sub_total: 'الإجمالي الفرعي',
        create_invoice: 'إنشاء فاتورة',
        create_subtitle: 'هذه هي بيانات إنشاء قائمة الفاتورة',
        select_customer: 'حدد العميل',
        telefone: 'هاتف',
        choose_templete: 'اختيار القالب',
        client: 'العميل',
        total: 'الإجمالي'
      },
      products: {
        product: '{myVar}',
        price: 'السعر',
        title: '{myVar} العامة',
        subtitle: 'هنا هو جدول {myVar} العامة',
        product_name: 'اسم {myVar}',
        product_description: 'وصف {myVar}',
        quantity: 'كمية',
        brief: 'وصف مختصر',
        sku: 'كود التخزين التعريفي',
        barcode: 'الباركود',
        status: 'الحالة',
        active: 'نشيط',
        inactive: 'غير نشط',
        profile_agents: 'الوكلاء العاملون على المنتج:',
        leads_interested: '{myVar} المحتملون المهتمون ب{myVar2}:',
        media: 'وسائط',
        add_media: 'أضف الوسائط',
        edit_media: 'تعديل الوسائط',
        fileName: 'اسم الملف',
        product_profile: 'الملف الشخصي ل{myVar}',
        share_icon: 'رمز المشاركة',
        description: 'وصف',
        best_time: 'أفضل وقت',
        email: 'بريد إلكتروني',
        phone_number: 'رقم التليفون',
        source: 'اجتهاد',
        others: 'آحرون',
        marketLead: '{myVar} السوق',
        date_of_purchase_from: 'Date of purchase from',
        date_of_purchase_to: 'Date of purchase to',
        joinedTo: 'انضم ل',
        call: 'اتصال',
        description: 'الوصف'
      },
      branches: {
        branch: '{myVar}',
        address: 'العنوان',
        country: 'الدولة',
        zip_code: 'الرقم البريدي',
        email: 'البريد الإلكتروني',
        phone: 'الهاتف',
        title: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        add_new_branch: 'إضافة {myVar} جديد',
        edit_branch: 'تعديل {myVar}',
        branch_name: 'اسم {myVar}',
        branch_description: 'وصف {myVar}',
        branch_address: 'عنوان {myVar}',
        branch_country: 'بلد {myVar}',
        branch_city: 'مدينة {myVar}',
        city: 'مدينة',
        status: 'الولاية',
        state: 'الولاية',
        branch_zip_code: 'الرمز البريدي',
        branch_email: 'البريد الإلكتروني',
        branch_phone: 'الهاتف',
        branch_location_lat: 'خط الطول',
        branch_location_lng: 'خط العرض',
        single: {
          title: 'الملف التعريفي للفرع'
        },
        branch_revenues: 'إيرادات الفروع',
        branchStatus: 'حالة {myVar}',
        location: 'الموقع',
        open: 'مفتوح',
        closed: 'مغلق',
        alerts: {
          deleteBranch: {
            title: 'هل انت متأكد من الحذف',
            description: 'لن تتمكن من التراجع عن هذا!',
            yes: 'نعم ، احذفها'
          }
        }
      },
      categories: {
        title: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        category: '{myVar}',
        categories: 'الاقسام',
        name: 'الاسم',
        description: 'الوصف',
        parent: '{myVar} الرئيسي'
      },
      services: {
        title: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        service: '{myVar}',
        name: 'الاسم',
        description: 'الوصف',
        parent: 'القسم الرئيسي'
      },
      clients: {
        title: 'clients',
        subtitle: 'Here is the table of clients',
        client: 'client',
        name: 'name',
        description: 'description',
        parent: 'parent',
        add_new_client: 'Add New client',
        email: 'Email',
        phone_number: 'Phone',
        age: 'age',
        gender: 'Gender'
      },
      brands: {
        title: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        brand: '{myVar}',
        brands: 'الماركات',
        name: 'الاسم',
        description: 'الوصف',
        parent: 'القسم الرئيسي',
        featured: 'علامة تجارية مميزة'
      },
      agents: {
        agent: '{myVar}',
        title: '{myVar}',
        titleGeneral: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        add_new_agent: 'إضافة {myVar} جديد',
        edit_agent: 'تعديل {myVar}',
        agent_name_ar: 'اسم {myVar} (العربية)',
        agent_name_en: 'اسم {myVar} (الإنجليزية)',
        email: 'البريد الإلكتروني',
        phone_number: 'رقم الهاتف',
        personal_phone: 'رقم الهاتف الشخصي',
        national_id: 'الرقم القومي',
        role: 'الدور',
        role_id: 'رقم الدور',
        profile: 'الملف الشخصي',
        branches: 'الفروع',
        editAgent: ' تعديل الوكيل',
        productsAssigned: 'المنتجات المخصصة',
        selectAgent: 'حدد {myVar}',
        followers: 'متابعون'
      },
      roles: {
        role: 'الدور',
        title: 'الأدوار',
        subtitle: 'هنا هو جدول الأدوار',
        add_new_role: 'إضافة دور جديد',
        edit_role: 'تعديل الدور',
        role_name: 'اسم الدور',
        select_permissions: 'إختر الصلاحيات',
        name: 'اسم',
        guard_name: 'اسم الصلاحية',
        created_at: 'أنشئت في',
        selectAll: 'الكل',
        permissionsError: 'برجاء اختيار دور واحد علي الاقل'
      },
      permissions: {
        permissions: 'أذونات',
        title: 'الصلاحيات',
        subtitle: 'ها هي بيانات قائمة الأدوار الخاصة بك',
        add_new_role: 'إضافة صلاحيات جديد',
        edit_role: 'تعديل صلاحية',
        role_name: 'اسم الصلاحية',
        select_permissions: 'حدد الأذونات',
        name: 'اسم',
        guard_name: 'اسم الصلاحية',
        created_at: 'أنشئت في'
      },
      forms: {
        form: '{myVar}',
        unknown: 'غير معروف',
        product: 'المنتج',
        agent: 'الوكيل',
        published_at: 'تاريخ النشر',
        expired_at: 'تاريخ الانتهاء',
        title: '{myVar}',
        subtitle: 'هنا هو جدول {myVar}',
        add_new_form: 'إضافة نموذج جديد',
        name: 'الاسم',
        product_id: 'رقم المنتج',
        source_id: 'رقم المصدر',
        branch_id: 'رقم الفرع',
        form_id: 'رقم {myVar}',
        branch_form_response_ar: 'الرد الفرعي (العربية)',
        branch_form_response_en: 'الرد الفرعي (الإنجليزية)',
        published_at: 'تاريخ النشر',
        expired_at: 'تاريخ الانتهاء',
        from_day: 'من يوم',
        from: 'من',
        to_day: 'إلى يوم',
        to: 'إلى',
        redirection_url: 'رابط التحويل',
        not_valid_url: 'رابط غير صالح',
        visit: 'زيارة',
        field_required: 'هذا الحقل مطلوب',
        error: 'حدث خطأ في هذا الحقل',
        source: 'المصدر',
        branch: 'الفرع',
        view_form: 'عرض النموذج',
        user: 'المستخدم',
        chooseLevel: 'اختر المستوى',
        create_form: 'إنشاء نموذج',
        edit_form: 'تعديل {myVar}',
        form_name: 'اسم {myVar}',
        description: 'الوصف',
        published_date: 'تاريخ النشر',
        expiration_date: 'تاريخ الانتهاء',
        product: 'المنتج',
        group: 'المجموعة',
        branch: 'الفرع',
        chooseProduct: 'اختر المنتج',
        chooseGroup: 'اختر المجموعة',
        chooseService: 'اختر الخدمة',
        chooseBrand: 'اختر العلامة التجارية',
        chooseBranch: 'اختر الفرع',
        status: 'الحاله',
        chooseSource: 'اختر المصدر',
        source: 'المصدر',
        brand: 'العلامة التجارية',
        fields: {
          field_name: 'اسم الحقل',
          name: 'الاسم',
          field_type: 'نوع الحقل',
          min: 'الحد الأدنى',
          max: 'الحد الأقصى',
          label_ar: 'التسمية (العربية)',
          label_en: 'التسمية (الإنجليزية)',
          placeholder_ar: 'الحقل المحتوي (العربية)',
          placeholder_en: 'الحقل المحتوي (الإنجليزية)',
          regex: 'التعبير الألي',
          is_required: 'مطلوب؟'
        },
        title_ar: 'العنوان (العربية)',
        title_en: 'العنوان (الإنجليزية)',
        introduction: 'المقدمة',
        introduction_description: 'المقدمة (الوصف)',
        submit_button: 'زر الإرسال',
        submit: 'إرسال'
      },
      departments: {
        department: 'القسم',
        branch: 'الفرع',
        head: 'الاقسام',
        subtitle: 'هنا هو جدول الاقسام',
        singleDepartmentSubtitle: 'هنا هو جدول الأعضاء',
        add_new_department: 'إضافة قسم جديدة',
        addMembers: 'إضافة اعضاء',
        edit_department: 'تعديل القسم',
        title: '{myVar}',
        description: 'الوصف',
        status: 'الحالة',
        type: 'النوع',
        members: 'الأعضاء',
        membersNumbers: 'عدد الأعضاء',
        type1: 'قسم عملاء',
        type2: 'قسم وكلاء'
      },
      segments: {
        segment: 'الجزء',
        branch: 'الفرع',
        head: 'الاجزاء',
        subtitle: 'هنا هو جدول الاجزاء',
        singleSegmentSubtitle: 'هنا هو جدول الأعضاء',
        add_new_segment: 'إضافة جزء جديدة',
        addMembers: 'إضافة اعضاء',
        edit_segment: 'تعديل الجزء',
        title: 'الاسم',
        description: 'الوصف',
        status: 'الحالة',
        type: 'النوع',
        members: 'الأعضاء',
        membersNumbers: 'عدد الأعضاء',
        type1: 'جزء عملاء',
        type2: 'جزء وكلاء'
      },
      platforms: {
        platform: 'المنصة',
        branch: 'الفرع',
        title: 'المنصات',
        subtitle: 'هنا هو جدول المنصات',
        add_new_platform: 'إضافة منصة جديدة',
        name: 'الاسم',
        description: 'الوصف',
        status: 'الحالة'
      },
      statuses: {
        title: 'المراحل والحالات',
        subtitle: 'يمكنك إنشاء ما يصل إلى 10 مراحل',
        createNewStage: 'إنشاء مرحلة جديدة',
        editStage: 'تعديل المرحلة',
        enterStageName: 'أدخل اسم المرحلة',
        status: 'الحالة',
        statusMsg: 'يمكنك إضافة حد أقصى 10 حالات إلى مرحلة واحدة',
        addNewStatus: 'إضافة حالة جديدة',
        save: 'حفظ'
      },
      transactions: {
        transaction: 'المعاملات',
        branch: 'فرع',
        title: 'المعاملات العامة',
        subtitle: 'هنا بيانات قائمة المعاملات العامة الخاصة بك',
        add_new_transaction: 'أضف معاملة جديدة',
        name: 'اسم المعاملة',
        description: 'وصف',
        status: 'الحالة'
      },
      reports: {
        title: 'Reports',
        subTitle: 'Here is your reports list data',
        filter: {
          title: 'Filter Reports'
        }
      },
      taxes: {
        taxe: 'الضرائب',
        branch: 'فرع',
        title: 'الضرائب العامة',
        subtitle: 'هذه هي بيانات قائمة الضرائب العامة الخاصة بك',
        add_new_taxe: 'أضف ضريبة جديدة',
        name: 'الاسم',
        description: 'الوصف',
        status: 'اساسي',
        active: 'مفعل',
        inactive: 'غير مفعل',
        name_ar: 'الاسم بالعربي',
        name_en: 'الاسم بالانجليزية',
        description_ar: 'الوصف بالعربي',
        description_en: 'الوصف بالانجليزية',
        percent: 'النسبة المئوية'
      },
      campaigns: {
        campaign: 'الحملات',
        head: 'الحملات',
        subtitle: 'هنا هو جدول الحملات',
        add_new_campaign: 'إضافة حملة جديدة',
        email: 'البريد الإلكتروني',
        message: 'الرسالة',
        create_campaign_subtitle: 'ما هي نوع الحملة الذي تريد إنشاؤها؟'
      },
      folders: {
        folder: '{myVar}',
        title: 'المجلدات',
        subtitle: 'هنا هو جدول المجلدات',
        name: 'الاسم',
        date: 'التاريخ',
        size: 'الحجم',
        share: 'مشاركة',
        folder_name: 'اسم المجلد',
        privacy: 'الخصوصية',
        public: 'عام',
        private: 'خاص',
        media: 'وسائط',
        single: {
          title: 'الملفات',
          subtitle: 'هنا هو جدول الملفات'
        },
        privacy: 'الخصوصية',
        share: 'مشاركة',
        copyShareLink: 'نسخ رابط المشاركة',
        link_copied: 'تم نسخ الرابط',
        link_name: 'اسم الرابط',
        expired_at: 'تاريخ الانتهاء',
        private: 'خاص',
        public: 'عام',
        password: 'كلمة المرور',
        optional: 'اختياري'
      },
      links: {
        title: 'الروابط',
        subtitle: 'هنا هو جدول الروابط التى تمت مشاركتها',
        name: 'الاسم'
      },
      groups: {
        title: '{myVar}'
      },
      lastActivity: 'النشاط الاخير',
      taskAssignedTo: 'المهمة المعينة إلى',
      lastRemainders: 'آخر التنبهيات',
      branchAgents: '{myVar2} {myVar}',
      productsAvailable: '{myVar} المتاحة',
      target: 'الهدف'
    },
    sources: {
      source: 'المصدر',
      title: 'المصادر',
      subtitle: 'هنا هو جدول المصادر',
      source_name: 'اسم المصدر',
      platform: 'منصة رسمية',
      yes: 'نعم',
      no: 'لا'
    },
    auth: {
      welcomeBack: 'مرحبا',
      fillData: 'املأ بيانات الدخول',
      nextStep: 'التالي',
      login: 'تسجيل الدخول',
      register: 'تسجيل',
      companyName: 'اسم الشركة',
      companyCode: 'رقم الشركة',
      companyEmail: 'البريد الإلكتروني للشركة',
      forgotPassword: 'نسيت كلمة المرور؟',
      resetPassword: 'اعادة ضبط كلمة المرور',
      logout: 'تسجيل الخروج',
      email: 'البريد الالكتروني',
      name: 'الاسم',
      password: 'كلمة المرور',
      confirmPassword: 'تأكيد كلمة المرور',
      tryTheString: 'جرب ذاسترينج',
      header:
        'Lorem ipsum dolor sit amet consectetur. Suspendisse integer non praesent mi ornare leo tincidunt elementum sem. Dui mattis vulputate mauris at amet.',
      point1: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      point2: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      point3: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      trustedBy: 'موثوق بها من قبل الشركات في جميع أنحاء العالم',
      pleaseEnterYour: 'الرجاء إدخال رمز الشركة الخاص بك',
      enterCompanyCode: 'أدخل رمز الشركة',
      next: 'التالي',
      doNotHaveAnAccount: 'ليس لديك حساب؟',
      signUp: 'سجل الآن',
      invalidCode: 'الرجاء إدخال رمز صالح يحتوي على 4 أرقام',
      loginToYourAccount: 'تسجيل الدخول إلى حسابك',
      yourEnteredCompanyCode: ':كود الشركة الذي أدخلته',
      enterPassword: 'أدخل كلمة المرور',
      rememberMe: 'تذكرني',
      signIn: 'تسجيل الدخول',
      or: 'أو',
      signInWithGoogle: 'تسجيل الدخول باستخدام جوجل',
      invalidEmail: 'الرجاء إدخال بريد إلكتروني صالح',
      invalidName: 'الرجاء إدخال أسم صحيح',
      invalidPassword: 'الرجاء إدخال كلمة مرور تحتوي على 8 أحرف على الأقل',
      registration: 'التسجيل',
      signUpToYourAccount: 'سجل في حسابك',
      enterYourName: 'أدخل اسمك',
      enterConfirmPassword: 'أدخل تأكيد كلمة المرور',
      alreadyHaveAnAccount: 'هل لديك حساب بالفعل؟',
      mismatchPasswords: 'كلمات المرور غير متطابقة، يرجى إدخال نفس كلمة المرور',
      emailVerification: 'تحقق من البريد الإلكتروني',
      weSent: 'لقد أرسلنا رمز التحقق إلى',
      verifyEmail: 'تحقق من البريد الإلكتروني',
      didNotReceive: 'لم تستلم البريد الإلكتروني؟',
      clickToResend: 'انقر لإعادة الإرسال',
      backToLogIn: 'العودة لتسجيل الدخول',
      companyDetails: 'تفاصيل الشركة',
      phoneNumber: 'رقم الهاتف',
      industry: 'صناعة',
      select: 'اختر',
      timeZone: 'المنطقة الزمنية',
      selectTimeZone: 'اختر المنطقة الزمنية',
      currency: 'العملة',
      selectCurrency: 'اختر العملة',
      totalEmployees: 'إجمالي الموظفين',
      selectSize: 'اختر الحجم',
      invalidPhone: 'يرجى إدخال رقم الهاتف المكون من 7 أرقام كحد أدنى و16 رقمًا كحد أقصى',
      invalidIndustry: 'الرجاء تحديد المجال',
      domain: 'نطاق',
      invalidDomain: 'الرجاء إدخال نطاق صحيح',
      city: 'المدينة',
      save: 'حفظ',
      website: 'الموقع الإلكتروني',
      address: 'العنوان',
      postalCode: 'الرمز البريدي',
      invalidCity: 'الرجاء اختيار مدينة',
      invalidCurrency: 'الرجاء اختيار عملة',
      invalidTimezone: 'الرجاء اختيار منطقة زمنية',
      invalidEmployees: 'الرجاء اختيار إجمالي الموظفين',
      logo: 'شعار',
      invalidFileSize: 'الرجاء اختيار ملف بحجم أقصاه 2 ميجابايت',
      forgetPassword: 'نسيت كلمة المرور',
      enterEmailAddressToGetCode:
        'الرجاء إدخال عنوان البريد الإلكتروني الذي استخدمته عند الانضمام، وسنرسل لك رمزًا لإعادة تعيين كلمة المرور.',
      sendCode: 'إرسال الرمز',
      pleaseEnterNewPassword: 'الرجاء إدخال كلمة مرور جديدة',
      signUpCompleted: 'تم الانتهاء من التسجيل',
      thankYouFor:
        'شكرًا لتسجيلك، سيتم إرسال بريد إلكتروني إلى صندوق البريد الوارد الخاص بك قريبًا يحتوي على معلومات تسجيل الدخول الخاصة بك.'
    },
    data_table: {
      id: 'الرقم',
      quantity: 'الكمية',
      general: 'عام',
      taxes: 'الضرائب',
      client: 'العميل',
      template: 'القالب',
      description: 'الوصف',
      visit: 'زيارة',
      image: 'الصورة',
      form: 'Form',
      due_date: 'تاريخ الاستحقاق',
      countdown: 'المدة المتبقية',
      title: 'الأسم',
      received_date: 'تاريخ الاستلام',
      inactive: 'غير مفعل',
      active: 'مفعل',
      yes: 'نعم',
      no: 'لا',
      action: 'الإجراء',
      status: 'الحالة',
      projectName: 'اسم المشروع',
      secStatus: 'الحالة الثانية',
      threeStatus: 'الحالة الثالثة',
      search: 'بحث',
      export: 'تصدير',
      import: 'استيراد',
      create: 'إنشاء',
      delete: 'حذف',
      edit: 'تعديل',
      save: 'حفظ',
      cancel: 'إلغاء',
      confirm: 'تأكيد',
      delete_confirm: 'هل أنت متأكد من حذف هذا العنصر؟',
      delete_confirm_sub: 'لن تستطيع إسترجاع هذا!',
      yes: 'نعم',
      yes_delete: 'نعم، حذف',
      no: 'لا',
      photo: 'صورة',
      showing_number: 'عرض الصفحة {start} من {total}.',
      name: 'الاسم',
      email: 'البريد الالكتروني',
      phone_number: 'رقم الهاتف',
      address: 'العنوان',
      country: 'الدولة',
      number_id: 'رقم الهوية',
      department: 'قسم',
      source: 'مصدر',
      best_time: 'أفضل وقت',
      time: 'الساعة',
      date: 'التاريخ',
      call_1: 'اتصل 1',
      call_2: 'اتصل 2',
      calls: 'المكالمات',
      percent: 'النسبة المئوية',
      source_form: 'مصدر الاستمارة',
      add_new: 'اضافة جديد',
      preview: 'معاينة',
      customize: 'تخصيص',
      customize_table: 'تخصيص الجدول',
      zip: 'الرمز البريدي',
      manager: 'مدير',
      created_at: 'أنشئت في',
      submit: ' ارسال',
      name: 'الاسم',
      user: 'المستخدم',
      public_form: 'استمارة عامة',
      filter: 'تصفية',
      filter_source: 'Filter Source',
      parent: 'parent',
      assignToUser: 'التعيين إلى المستخدم',
      phone: 'Phone',
      age: 'Age',
      gender: 'Gender',
      filter_role: 'Filter Role',
      filter_branch: 'Filter Branch',
      filter_status: 'Filter Status',
      filter: 'Filter',
      clear: 'Clear',
      advanced_filter: 'Advanced Filter',
      city: 'مدينة',
      membersNum: 'عدد الأعضاء',
      type: 'نوع',
      rating: 'التقييم',
      profile_image: 'الصورة الشخصية ',
      icon: 'الايقونة',
      download: 'تحميل',
      views: 'المشاهدات',
      size: 'الحجم',
      privacy: 'الخصوصية',
      downloads: 'التحميلات',
      back: 'رجوع',
      bmid: 'رقم الفرع',
      phone_id: 'رقم الهاتف',
      fourStatus: 'الحالة الرابعة',
      fiveStatus: 'الحالة الخامسة',
      view: 'عرض',
      select: 'تحديد',
      best_time: 'افضل وقت',
      call_date: 'وقت المكالمة',
      reminder: 'تذكير',
      price: 'السعر',
      sku: 'كود التعريف',
      brands: 'ماركات',
      category: 'القسم',
      branches: 'الفروع',
      children: 'الفئات الفرعية',
      users: 'عملاء',
      members_count: 'عدد الأعضاء',
      personal_phone: 'الهاتف الشخصي',
      national_id: 'الهوية الوطنية',
      last_seen: 'آخر ظهور',
      role: 'الدور',
      followers: 'المتابعين',
      first_name: 'الاسم الاول',
      middle_name: 'الاسم التانى',
      last_name: 'الاسم الاخير',
      full_name: 'الاسم بالكامل',
      birthday: 'تاريخ الميلاد',
      zip_code: 'الرقم البريدى',
      users_count: 'عدد الأعضاء',
      managers: 'المديرين',
      customer_at: 'عميل فى تاريخ',
      submissions: 'الطلبات',
      stage: 'المرحلة',
      lead_info: 'بيانات العميل'
    },
    utils: {
      loading_title: 'يرجى الانتظار...',
      logout: 'تسجيل الخروج',
      export_success: 'تم تصدير الملف بنجاح',
      export_error: 'حدث خطأ في تصدير الملف',
      required: 'هذا الحقل مطلوب',
      national_id: 'الرقم القومي يجب أن يكون 13 أرقام',
      personal_phone: 'رقم الهاتف الشخصي يجب أن يكون بين 10 و 13 أرقام',
      email: 'البريد الالكتروني غير صالح',
      edit_success: 'تم تعديل العنصر بنجاح',
      phone_number: 'رقم الهاتف  يجب أن يكون بين 10 و 13 أرقام'
    },
    dashboard: {
      title: 'نظرة عامة على التحليلات',
      sales: 'المبيعات',
      profit: 'الربح',
      january: 'يناير',
      february: 'فبراير',
      march: 'مارس',
      april: 'أبريل',
      may: 'مايو',
      june: 'يونيو',
      july: 'يوليو',
      august: 'أغسطس',
      september: 'سبتمبر',
      october: 'أكتوبر',
      november: 'نوفمبر',
      december: 'ديسمبر',
      number_of_leads: 'عدد الإشارات',
      product_and_service: 'المنتجات والخدمات',
      public_form: 'النموذج العام',
      number_of_employes: 'عدد الموظفين',
      increase_from_last_week: '{perc} زيادة من الأسبوع الماضي',
      activity_log: 'سجل النشاط',
      task_assigned: 'المهمة الموكلة إلى',
      last_remainders: 'اخر اشعارات',
      Leads_status: 'حاله عملاء ',
      leads: 'العملاء',
      total_leads: 'مجموع العملاء',
      today_leads: 'عملاء اليوم',
      last_7_days_leads: 'عملاء آخر 7 أيام',
      last_30_days_leads: 'عملاء آخر 30 يومًا',
      status_1: 'حاله 1',
      status_2: 'حاله 2',
      status_3: 'حاله 3'
    },
    agent: {
      agent: 'وكيل',
      agentName: 'اسم {myVar}',
      agentEmail: 'البريد الإلكتروني ل {myVar}',
      phoneNumber: 'رقم هاتف ا {myVar}',
      personalPhone: 'الهاتف الشخصي ل {myVar}',
      nationalId: 'الرقم القومي ل {myVar}',
      selectRole: 'حدد الدور',
      selectFollowers: 'حدد المتابعون',
      selectGender: 'حدد الجنس',
      selectBranches: 'حدد {myVar}',
      selectTeam: 'حدد الفريق',
      team: 'فريق',
      deal_number: 'رقم الصفقة',
      last_login: 'آخر دخول'
    },
    leads: {
      level: 'مستوى',
      lead: 'قيادة',
      branch: 'فرع',
      leadProfile: 'الملف الشخصي للقيادة',
      title: '{myVar}',
      subtitle: 'بيانات قائمة العملاء المحتملين',
      add_new_lead: 'إضافة قيادة جديدة',
      lead_name_ar: 'الاسم بالعربية',
      lead_name_en: 'الاسم بالانجليزية',
      lead_description_ar: 'الوصف بالعربية',
      lead_description_en: 'الوصف بالانجليزية',
      description: 'الوصف',
      info_call: 'معلومات المكالمة',
      info_call_text: 'معلومات المكالمة',
      first_name: 'الاسم الأول',
      middle_name: 'الاسم الأوسط',
      intakeDate: 'تاريخ الدفعة',
      last_name: 'الاسم الأخير',
      email: 'البريد الالكتروني',
      phone_number: 'رقم الهاتف',
      phone: 'رقم الهاتف',
      national_id: 'الرقم القومي',
      personal_phone: 'رقم الهاتف الشخصي',
      address: 'العنوان',
      gender: 'الجنس',
      birthday: 'تاريخ الميلاد',
      female: 'أنثى',
      male: 'ذكر',
      add_remider: 'إضافة تذكير',
      notification: 'إرسال إخطار',
      full_name: 'الاسم الكامل',
      tooltip_edit: 'للتعديل ، انقر فوق الحقل الذي تريد تحريره',
      add_call: 'إضافة اتصل',
      location_details: 'تفاصيل الموقع',
      additional_data: 'بيانات إضافية',
      additional_details: 'تفاصيل إضافية',
      age: 'العمر',
      gender: 'الجنس',
      scoring: 'التصنيف',
      created_at: 'تاريخ الإنشاء',
      created_to: 'تاريخ الإنتهاء',
      all: 'All',
      whats: 'whats app',
      sms: 'sms',
      assignTo: 'التعيين إلى',
      calls: 'المكالمات',
      customerAt: 'العميل في',
      joinBy: 'انضم بواسطة',
      location_Information: 'Location Information',
      submission_Information: 'Submission Information',
      years: 'السنين',
      month: 'الشهر',
      filter: {
        title: 'Advanced Filter',
        by: 'Filter By',
        qualifiers: 'Qualifiers',
        potential: 'Potential',
        interested_in: 'Interested in',
        lead_stage: 'Lead Stage',
        c_groups: 'C-Groups',
        capture: 'Capture',
        deal_size: 'Deal size'
      },
      others: 'اخرون',
      more_than_one: 'اكثر من عنصر',
      products: 'المنتجات',
      categories: 'الفئات',
      pending: 'قيد الانتظار',
      approved: 'مقبول',
      rejected: 'مرفوض',
      canceled: 'ملغي',
      last_update: 'آخر تحديث',
      applied_date: 'تاريخ التسجيل',
      last_note: 'آخر ملاحظة',
      notes: 'ملاحظات',
      add_note: 'إضافة ملاحظة',
      note: 'ملاحظة',
      importMessage: 'قم بحميل المثال للتاكد من صحة البيانات',
      file: 'الملف',
      select_file: 'اختر ملف',
      chooseStatus: 'اختر الحالة',
      chooseSecStatus: 'اختر الحالة الثانية',
      chooseThreeStatus: 'اختر الحالة الثالثة',
      chooseFourStatus: 'اختر الحالة الرابعة',
      chooseFiveStatus: 'اختر الحالة الخامسة'
    },
    modules_forms: {
      title: 'بناء نماذج الوحدات',
      subtitle: 'هنا هو المكان المخصص لبناء نماذج الوحدات',
      module: 'الوحدة'
    },
    forms_builder: {
      title: 'بناء نموذج الوحدة',
      subtitle: 'هنا هو المكان المخصص لبناء نموذج الوحدة'
    },
    validations: {
      messages: {
        alpha: '{field} يجب ان يحتوي على حروف فقط',
        alpha_num: '{field} قد يحتوي فقط على حروف وارقام',
        alpha_dash: '{field} قد يحتوي على حروف او الرموز - و _',
        alpha_spaces: '{field} قد يحتوي فقط على حروف ومسافات',
        between: 'قيمة {field} يجب ان تكون ما بين {min} و {max}',
        confirmed: '{field} لا يماثل التأكيد',
        digits: '{field} يجب ان تحتوي فقط على ارقام والا يزيد عددها عن {length} رقم',
        dimensions: '{field} يجب ان تكون بمقاس {width} بكسل في {height} بكسل',
        email: '{field} يجب ان يكون بريدا اليكتروني صحيح',
        excluded: 'الحقل {field} غير صحيح',
        ext: 'نوع ملف {field} غير صحيح',
        image: '{field} يجب ان تكون صورة',
        integer: 'الحقل {field} يجب ان يكون عدداً صحيحاً',
        length: 'حقل {field} يجب الا يزيد عن {length}',
        max_value: 'قيمة الحقل {field} يجب ان تكون اصغر من {min} او تساويها',
        max: 'الحقل {field} يجب ان يحتوي على {length} حروف على الأكثر',
        mimes: 'نوع ملف {field} غير صحيح',
        min_value: 'قيمة الحقل {field} يجب ان تكون اكبر من {min} او تساويها',
        min: 'الحقل {field} يجب ان يحتوي على {length} حروف على الأقل',
        numeric: '{field} يمكن ان يحتوي فقط على ارقام',
        oneOf: 'الحقل {field} يجب ان يكون قيمة صحيحة',
        regex: 'الحقل {field} غير صحيح',
        required: '{field} مطلوب',
        required_if: 'حقل {field} مطلوب',
        size: '{field} يجب ان يكون اقل من {size} كيلوبايت'
      }
    },
    variables: {
      agents: 'الوكلاء',
      agent: 'الوكيل',
      branches: 'الفروع',
      branch: 'الفرع',
      brands: 'ماركات',
      brand: 'ماركة',
      categories: 'الاقسام',
      category: 'القسم',
      submissions: 'التقديمات',
      forms: 'النماذج',
      form: 'النموذج',
      level: 'المستوى',
      status: 'الحالة',
      folders: 'المجلدات',
      folder: 'مجلد',
      files: 'الملفات',
      file: 'الملف',
      roles: 'الأدوار',
      role: 'الدور',
      sources: 'المصادر',
      source: 'المصدر',
      links: 'الروابط',
      link: 'الرابط',
      departments: 'الأقسام',
      department: 'القسم',
      contacts: 'العملاء',
      contact: 'العميل',
      leads: 'العملاء المحتملين',
      lead: 'العميل المحتمل'
    },
    business: {
      introductions: 'إعداد التعارف',
      profile: 'الملف الشخصي',
      branches: 'الفروع',
      categories: 'الفئات',
      brands: 'العلامات التجارية',
      services: 'الخدمات',
      products: 'المنتجات'
    },
    introduction: {
      setUpYourBusiness: 'إعداد عملك',
      paragraph: 'أولًا، دعونا نشاهد هذا الفيديو السريع لنتعلم كيفية إعداد عملك. عند الانتهاء، انقر على زر إعداد الأعمال للبدء.',
      setupBusiness: 'إعداد الأعمال'
    },
    profile: {
      title: 'الملف الشخصي',
      yourPhoto: 'صورتك',
      thisWillBeDisplayed: 'سيتم عرض هذا على ملفك الشخصي.',
      delete: 'حذف',
      update: 'تحديث',
      name: 'الاسم',
      emailAddress: 'عنوان البريد الإلكتروني',
      gender: 'الجنس',
      phoneNumber: 'رقم الهاتف',
      nationalId: 'الرقم الوطني',
      personalPhoneNumber: 'رقم الهاتف الشخصي',
      accountVerification: 'التحقق من الحساب',
      save: 'حفظ',
      next: 'التالي',
      female: 'أنثى',
      male: 'ذكر',
      notVerified: 'غير مُفعل',
      verified: 'مُفعل',
      invalidNationalId: 'الرجاء إدخال رقم وطني صحيح'
    },
    general_form: {
      back: 'العودة',
      save: 'حفظ',
      errorImage: 'يرجى تحديد صورة'
    },
    branches: {
      title: 'الفروع',
      name: 'اسم الفرع',
      namePlaceholder: 'أدخل اسم الفرع هنا',
      address: 'عنوان الفرع',
      addressPlaceholder: 'أدخل عنوان الفرع هنا',
      country: 'بلد الفرع',
      countryPlaceholder: 'أدخل بلد الفرع',
      city: 'مدينة الفرع',
      cityPlaceholder: 'أدخل مدينة الفرع',
      phone: 'هاتف الفرع',
      email: 'بريد الفرع',
      emailPlaceholder: 'أدخل البريد الإلكتروني للفرع هنا',
      manager: 'مدير الفرع',
      managerPlaceholder: 'أدخل اسم مدير الفرع هنا',
      zip: 'الرمز البريدي',
      zipPlaceholder: 'أدخل الرمز البريدي هنا',
      description: 'الوصف',
      descriptionPlaceholder: 'أدخل وصفًا...',
      characters: 'أحرف',
      errorCountry: 'يرجى اختيار البلد',
      errorCity: 'يرجى اختيار المدينة',
      errorManager: 'يرجى اختيار مدير'
    },
    brands: {
      title: 'العلامات التجارية',
      name: 'اسم العلامة التجارية',
      namePlaceholder: 'أدخل اسم العلامة هنا'
    },
    services: {
      title: 'الخدمات',
      name: 'اسم الخدمة',
      namePlaceholder: 'أدخل اسم الخدمة هنا'
    },
    products: {
      title: 'المنتجات',
      name: 'اسم المنتج',
      namePlaceholder: 'أدخل اسم المنتج هنا',
      price: 'السعر',
      pricePlaceholder: 'أدخل سعر المنتج هنا',
      sku: 'SKU',
      skuPlaceholder: 'أدخل SKU هنا',
      quantity: 'الكمية',
      quantityPlaceholder: 'أدخل الكمية هنا',
      branches: 'الفروع',
      branchesPlaceholder: 'اختر فرعًا هنا',
      category: 'الفئة',
      categoryPlaceholder: 'اختر فئة هنا',
      subcategory: 'الفئة الفرعية',
      subcategoryPlaceholder: 'اختر فئة فرعية هنا',
      services: 'الخدمات',
      servicesPlaceholder: 'اختر خدمة هنا',
      brands: 'العلامات التجارية',
      brandsPlaceholder: 'اختر علامة تجارية هنا',
      agents: 'الوكلاء',
      agentsPlaceholder: 'اختر وكيلاً هنا',
      description: 'الوصف',
      descriptionPlaceholder: 'أدخل الوصف...',
      characters: 'الأحرف المتبقية',
      errorBranch: 'يرجى اختيار فرع',
      errorCategory: 'يرجى اختيار فئة',
      errorSubcategory: 'يرجى اختيار فئة فرعية',
      errorService: 'يرجى اختيار خدمة',
      errorBrand: 'يرجى اختيار علامة تجارية',
      errorAgent: 'يرجى اختيار وكيل'
    },
    categories: {
      mainCategory: 'الفئة الرئيسية',
      subcategories: 'الفئات الفرعية',
      addNew: 'إضافة جديدة',
      title: 'الفئات',
      name: 'اسم الفئة',
      namePlaceholder: 'أدخل اسم الفئة هنا',
      description: 'الوصف',
      descriptionPlaceholder: 'أدخل الوصف...',
      subcategory: 'الفئة الفرعية',
      subcategoryPlaceholder: 'أدخل الفئة الفرعية هنا',
      errorSubcategories: 'الرجاء إدخال فئة فرعية واحدة على الأقل'
    },
    departments: {
      title: 'الأقسام',
      name: 'عنوان القسم',
      namePlaceholder: 'أدخل عنوان القسم هنا',
      description: 'الوصف',
      descriptionPlaceholder: 'أدخل وصفًا...',
      members: 'أعضاء'
    },
    drag: {
      text: 'حدد صورة أو اسحبها وأسقطها هنا',
      browse: 'تصفح',
      info: '* JPG، PNG أو JPEG، حجم الملف لا يزيد عن 10 ميجابايت'
    }
  });
};
