export default async (context, locale) => {
  return {
    fm: {
      components: {
        fields: {
          input: 'Input',
          textarea: 'Textarea',
          number: 'Number',
          radio: 'Radio',
          checkbox: 'Checkbox',
          time: 'Time',
          date: 'Date',
          rate: 'Rate',
          color: 'Color',
          select: 'Select',
          switch: 'Switch',
          slider: 'Slider',
          cover: 'Cover',
          text: 'Text',
          blank: 'Custom',
          fileupload: 'File',
          imgupload: 'Image',
          editor: 'Editor',
          cascader: 'Cascader',
          table: 'Sub-table',
          grid: 'Grid',
          tabs: 'Tabs',
          divider: 'Divider'
        },
        basic: {
          title: 'Basic Component'
        },
        advance: {
          title: 'Advance Component'
        },
        layout: {
          title: 'Layout'
        }
      },
      description: {
        containerEmpty: 'You can drag and drop the item from the left to add components',
        configEmpty: 'Please add a component',
        tableEmpty: 'You can drag and drop the item from the left to add components',
        uploadJsonInfo: 'There is the format of JSON below，you can overwrite it with you own JSON code'
      },
      message: {
        copySuccess: 'Copy Successed',
        validError: 'Form data validation failed'
      },
      actions: {
        import: 'Import JSON',
        clear: 'Clear',
        preview: 'Preview',
        json: 'Generate JSON',
        code: 'Generate Code',
        getData: 'Get Data',
        reset: 'Reset',
        copyData: 'Copy Data',
        cancel: 'Cancel',
        confirm: 'Confirm',
        addOption: 'Add Option',
        addColumn: 'Add Column',
        addTab: 'Add Tab',
        upload: 'Upload',
        add: 'Add'
      },
      config: {
        border: 'Form Border',
        overlay: 'Form Overlay',
        cover: 'Form Cover',
        form: {
          title: 'Form Attribute',
          labelPosition: {
            title: 'Label Position',
            left: 'Left',
            right: 'Right',
            top: 'Top'
          },
          labelWidth: 'Label Width',
          size: 'Size',
          customClass: 'Custom Class'
        },
        widget: {
          title: 'Component Attribute',
          model: 'ID',
          name: 'Name',
          width: 'Width',
          height: 'Height',
          size: 'Size',
          labelWidth: 'Label Width',
          custom: 'Custom',
          placeholder: 'Placeholder',
          bgColor: 'BackgroundColor',
          textColor:'TextColor',
          layout: 'Layout',
          block: 'Block',
          inline: 'Inline',
          contentPosition: 'Content Position',
          left: 'Left',
          right: 'Right',
          center: 'Center',
          showInput: 'Display Input Box',
          min: 'Minimum',
          max: 'Maximum',
          step: 'Step',
          multiple: 'Multiple',
          filterable: 'Searchable',
          allowHalf: 'Allow Half',
          showAlpha: 'Support transparency options',
          showLabel: 'Show lable',
          option: 'Option',
          staticData: 'Static Data',
          remoteData: 'Remote Date',
          dynamic: 'Dynamic',
          remoteFunc: 'Remote Function',
          value: 'Value',
          label: 'Label',
          childrenOption: 'Sub-Option',
          defaultValue: 'Default Value',
          showType: 'Display type',
          isRange: 'Range Time',
          isTimestamp: 'Get time stamp',
          startPlaceholder: 'Placeholder of start time',
          endPlaceholder: 'Placeholder of end time',
          format: 'Format',
          limit: 'Maximum Upload Count',
          isQiniu: 'Upload with Qiniu Cloud',
          tokenFunc: 'A funchtin to get Qiniu Uptoken',
          imageAction: 'Picture upload address',
          tip: 'Text Prompt',
          action: 'Upload Address',
          defaultType: 'Data Type',
          string: 'String',
          object: 'Object',
          array: 'Array',
          number: 'Number',
          boolean: 'Boolean',
          integer: 'Integer',
          float: 'Float',
          url: 'URL',
          email: 'E-mail',
          hex: 'Hexadecimal',
          gutter: 'Grid Spacing',
          columnOption: 'Column Configuration',
          span: 'Grid spans',
          justify: 'Horizontal Arrangement',
          justifyStart: 'Start',
          justifyEnd: 'End',
          justifyCenter: 'Center',
          justifySpaceAround: 'Space Around',
          justifySpaceBetween: 'Space Between',
          align: 'Vertical Arrangement',
          alignTop: 'Top',
          alignMiddle: 'Middle',
          alignBottom: 'Bottom',
          type: 'Type',
          default: 'Default',
          card: 'Tabs',
          borderCard: 'Border-Card',
          tabPosition: 'Tab Position',
          top: 'Top',
          bottom: 'Bottom',
          tabOption: 'Label Configuration',
          tabName: 'Tab Name',
          customClass: 'Custom Class',
          attribute: 'Attribute Action',
          dataBind: 'Data Binding',
          hidden: 'Hidden',
          readonly: 'Read Only',
          disabled: 'Disabled',
          editable: 'Text box is editable',
          clearable: 'Display Clear Button',
          arrowControl: 'Use the arrow for time selection',
          isDelete: 'Deletable',
          isEdit: 'Editable',
          showPassword: 'Display Password',
          validate: 'Validation',
          required: 'Required',
          patternPlaceholder: 'Fill in the regular expressions',
          newOption: 'New Option',
          tab: 'Tab',
          validatorRequired: 'Required',
          validatorType: 'Invaild format',
          validatorPattern: 'Unmatched pattern',
          showWordLimit: 'Show word limit',
          maxlength: 'Max length'
        }
      },
      upload: {
        preview: 'preview',
        edit: 'replace',
        delete: 'delete'
      }
    },
    chats: {
      messages: 'Messages',
      groups: 'Groups',
      create_group: 'Create group',
      no_groups: 'There is no group',
      chats: 'Chats',
      no_chat: 'There is no chat',
      view_more: 'View More',
      your_message: 'Write your message...',
      send: 'Send',
      online: 'Online',
      offline: 'Offline',
      seen: 'Seen',
      create_chat: 'New Message',
      filter_by: 'Filter By',
      groups_chat: 'Group chats',
      subtitle: 'Here is your chat list data',
      archive: 'Archive',
      inbox_overview: 'Inbox Overview',
      tags: 'Tags',
      assigned_to: 'Assigned To',
      search: 'Search by Name, tag',
      enter_whatsapp_number: 'Enter WhatsApp Number:',
      my_inbox_overview: 'My Inbox Overview',
      team_inbox_overview: 'Team Inbox Overview',
      forward_to: 'Forward To'
    },
    global: {
      app_name: 'The String',
      filter: 'Filter',
      save: 'Save',
      cancel: 'Cancel',
      search: 'Search Here',
      add_new: 'Add new {myVar}',
      create_new: 'Create New {myVar}',
      edit: 'Edit {myVar}',
      choose: 'Choose a {myVar}',
      choose_parent: 'Choose a parent {myVar}',
      choose_child: 'Choose a child {myVar}',
      reset: 'Reset',
      dashboard: 'Dashboard',
      loading: 'Loading',
      add_field: 'Add field',
      edit_field: 'Edit field',
      name: 'Name',
      email: 'Email',
      choice: 'Choice',
      date: 'Date',
      number: 'Number',
      phone: 'Phone',
      password: 'Password',
      labelen: 'Label:en',
      labelar: 'Label:ar',
      placelen: 'Placeholder:en',
      placelar: 'Placeholder:ar',
      status: 'status',
      hidden: 'hidden',
      notHidden: 'not hidden',
      validation: 'validation',
      options: 'option',
      required: 'required',
      notrequired: 'notrequired',
      subscriptions: 'Subscriptions',
      whatsapp: 'WhatsApp',
      actions: 'Actions',
      delete_message: 'Are you sure you want to delete {myVar}?',
      delete_dialog_header: 'Delete {myVar}',
      share: 'Share {myVar}',
      no_data: 'No {myVar} to show',
      upload: 'Upload',
      upload_media: 'Upload Media',
      generate_share_link: 'Generate share link',
      generate: 'Generate'
    },

    subscriptions: {
      title: 'Subscriptions',
      subtitle: 'Here is your subscriptions list data'
    },

    whatsapp: {
      title: 'WhatsApp',
      subtitle: 'Here is your whatsapp list data',
      new_whatsapp_account: 'New WhatsApp Account',
      whatsapp_accounts_list: 'WhatsApp Accounts List',
      edit_whatsapp_account: 'Edit WhatsApp Account',
      whatsapp_accounts_contatcs_list: 'WhatsApp Account Contacts List',
      add_account_contact: 'Add Account Contact',
      tags: 'Tags',
      add_new_contact: 'Add New Contact',
      edit_contact: 'Edit Contact',
      basic_info: 'Basic Informations',
      name: 'Name',
      phone: 'Phone Number',
      custom_parameters: 'Custom Parameters',
      add: 'Add',
      save: 'Save',
      import: 'Import',
      import_contacts: 'Import Contacts',
      csv_file: 'CSV File',
      cancel: 'Cancel',
      custom_field: 'Custom Field',
      value: 'Value',
      actions: 'Actions',
      add_new_custom_field: 'New Custom Field',
      edit_custom_field: 'Edit Custom Field',
      edit: 'Edit',
      delete: 'Delete',
      delete_contact: 'Delete Contact',
      delete_contact_message: 'Are you sure you want to delete this contact'
    },

    notification: {
      content: '<span class="primary--text">{name}</span> has joined throuh <span class="primary--text">{platform}</span>'
    },
    navigation: {
      dashboard: 'Dashboard',
      products: 'Products',
      branches: 'Branches',
      agents: 'Agents',
      roles: 'Roles',
      forms: 'Forms',
      invoices: 'Invoices',
      task_mangment: 'Task Mangment',
      quantity: 'Quantity',
      leads: 'Leads',
      campaigns: 'Campaigns',
      groups: 'groups',
      platforms: 'Platforms',
      transactions: 'Transactions',
      statuses: 'Status',
      servises: 'Services',
      services: 'Services',
      taxes: 'Taxes',
      categories: 'Categories',
      brands: 'Brands',
      reports: 'Reports',
      settings: 'Settings',
      nothing: 'No Thing To Show',
      clients: 'Clients',
      quotes_and_invoices: 'Quotes and Invoices',
      chat: 'Chat'
    },
    quote: {
      title: 'Quotes and Invoices',
      subTitle: 'create your Quotes and Invoices data',
      filter: {
        title: 'Filter Reports'
      }
    },
    reports: {
      title: 'Reports',
      subTitle: 'Here is your reports list data',
      filter: {
        title: 'Filter Reports'
      },
      leads_status_title: 'Leads Status',
      platforms: 'Platforms',
      status_one: 'Status One',
      status_two: 'Status Two',
      status_three: 'Status Three',
      Filter: 'Filter'
    },
    settings: {
      title: 'Settings',
      subtitle: 'Here is your Settings list data',
      team: {
        title: 'Team',
        createNewTeam: 'Create New Team',
        addYourTeam: 'Add Your Team',
        editYourTeam: 'Edit Your Team',
        setUpYourTeam: 'Set Up Your Team',
        setupTeamCTA: 'Setup Team',
        introductionDescription:
          "First, let's watch this quick video to learn how to setup your team.  When complete, click on Setup Team button to get started.",
        tabs: {
          introduction: 'Setup Introduction',
          department: 'Departments',
          roles: 'Roles',
          agents: 'Add Your Team'
        },
        tableHeaders: {
          userName: 'User Name',
          email: 'Email',
          phone: 'Phone',
          NationalId: 'National Id',
          role: 'Role',
          action: 'Action'
        },
        teamForm: {
          name: 'Full Name',
          namePlaceholder: 'Enter Username here',
          email: 'Email',
          emailPlaceholder: 'Enter Email address here',
          personalPhone: 'Personal Phone',
          personalPhonePlaceholder: 'Enter Personal Phone here',
          nationalId: 'National Id',
          nationalIdPlaceholder: 'Enter National Id here',
          role: 'Role',
          rolePlaceholder: 'Select Role here',
          gender: 'Gender',
          male: 'Male',
          female: 'Female',
          branches: '{label}',
          branchesPlaceholder: 'Select {label} here',
          brands: '{label}',
          brandsPlaceholder: 'Select {label} here',
          reportTo: 'Report To',
          selectReportTo: 'Select report to',
          departments: '{label}',
          departmentsPlaceholder: 'Select {label} here',
          target: 'Target',
          targetPlaceholder: 'Select Target here',
          period: 'Period',
          amount: 'Amount',
          percentage: 'Percentage',
          monthly: 'Monthly',
          number_of_leads: 'Number of Leads',
          quarterly: 'Quarterly',
          annually: 'Annually',
          amountPlaceholder: 'Enter amount here',
          errorPercentage: 'Percentage must be between 0-100',
          errorAmount: 'Please enter amount',
          errorTarget: 'Please select target',
          errorPeriod: 'Please select period'
        }
      },
      details: {
        title: 'whatsapp',
        subtilte: 'please enter your basic info for whatsapp',
        add_account: 'Add WhatsApp Account',
        delete_account: 'Delete Account',
        add_template: 'Add Message Template'
      },
      label: {
        name: 'Account Name',
        phone: 'Phone Number',
        bmid: 'BMID',
        phone_id: 'Phone ID',
        token: 'Whatsapp Account Token'
      },
      facebook: {
        title: 'Create your WhatsApp Business Account',
        des: "To continue you'll need access your company's Facebook Business Account, as Well as",
        step_1: "Your company's legal name and address",
        step_2: 'A display name and short business descriptions',
        step_3:
          'A phone number that does not have an existing whatsapp account, You can also delete WhatsApp account an your existing number by',
        step_4: "Do not use a number that's already connected to a whatsapp account, you won't be able to complete the process",
        follow: 'following steps listed here',
        continue: 'Continue with Facebook'
      },
      whatsApp: {
        category: 'Category',
        caption: 'This will be visible on your business profile',
        description: 'Description',
        description_details: 'Tell your customers about your company',
        whatsApp_overview: 'Business Profile preview',
        contact_info: 'Contact Information',
        contact_info_details: ' Add some contact details for your business ',
        address: 'Address',
        email: 'E-mail Address',
        website: 'Website',
        business_account: 'Business Account'
      },
      template: {
        create_template: 'Create Template',
        edit_template_name: 'Edit Template Name',
        edit_template: 'Edit Template',
        submit: 'Submit',
        optional: 'Optional',
        header: 'Header',
        header_details: 'Add a title or choose which type of media you’ll use for this header',
        header_content: 'Samples for header content',
        header_content_details:
          'To help us review your content, provide examples of the variables or media in the header. Do not include any customer information.',
        body: 'Body',
        body_details: 'Add The text for your message in the language you’ve selected',
        body_content: 'Samples for body content',
        body_content_details:
          'To help us review your content, provide examples of the variables or media in body. Do not include any customer information.',
        footer: 'Footer',
        footer_details:
          'Add a short line of text to the bottom of your message template. If you add the marketing opt-out button, the association footer will be shown here by default.',
        button: 'Buttons',
        buttons_details: 'Create buttons that let customers respond to your message or take action.',
        button_warning_header: 'We recommend adding the marketing opt-out button',
        button_warning_details:
          'Allow customers to request to opt out of all marketing messages. This can help reduce blocks from customers and increase your quality rating. Learn more.',
        preview: 'Preview',
        header_error:
          'This template contains variable parameters with incorrect formatting. Variable parameters must be whole numbers with two sets of curly brackets (for example, {{1}}, {{2}}).',
        button_details: 'Create up to 2 buttons that let customers respond to your message or take action.',
        button_hint1: 'We recommend adding the marketing opt-out button',
        button_hint2:
          'Allow customers to request to opt out of all marketing messages. This can help reduce blocks from customers and increase your quality rating. Learn more',
        type_of_action: 'Type of action',
        button_text: 'Button text',
        country: 'Country',
        phone_number: 'Phone number',
        url_type: 'URL Type',
        website_url: 'Website URL',
        add_another_action: 'Add Another Button',
        category_title: 'New Message Template ',
        category_title_details: 'Here is your group chats data',
        category: 'Category',
        category_details: 'choose a category that best describes your message template. learn more about categories',
        category_hint: 'New Categories are available.',
        name: 'Name',
        name_details: 'Name your message template',
        language: 'Languages',
        language_details: 'Choose language for your message template. You can delete or add more languages later.'
      },
      tabs: {
        setUpBusiness: 'Set Up Business',
        setUpYourTeam: 'Set Up Your Team',
        profile: 'Profile',
        password: 'Password',
        email: 'Email',
        notifications: 'Notifications',
        integration: 'Integration',
        menu: 'Menu',
        fields: 'Fields',
        formBuilder: 'Form Builder',
        emailTemplates: 'Email Templates',
      },
      fields: {
        introduction:
          "First, let's watch this quick video to learn what are the fields.  When complete, click on Setup Menu button to get started.",
        setupMenu: 'Setup Menu',
        select: 'Select the fields which will be visible',
        show: 'Show',
        field: 'Field',
        required: 'Required',
        notRequired: 'Not Required'
      }
    },
    files: {
      drop: 'Drop file or click to upload',
      max_file_size: 'maximum file size: {size}',
      remove_file: 'Remove file',
      attachfile: 'Attach file'
    },
    menu: {
      title: 'Menu',
      edit: 'Edit Menu',
      subtitle: 'Here is the table of menu item',
      oldName: 'Old name',
      newName: 'New name',
      singular: 'Singular Name',
      featured: 'Featured',
      key: 'Key'
    },
    changePassword: {
      title: 'Password',
      subtitle: 'Please enter your current password to change your password',
      currentPassword: 'current password',
      newPassword: 'new password',
      confirmNewPassword: 'confirm new password',
      validationPassword: 'Your new password must be more than 8 characters.'
    },
    email: {
      title: 'Emails',
      tabs: {
        introduction: 'Setup Introduction',
        verifiedEmails: 'Verified Emails',
        emailTemplates: 'Email Templates'
      },
      introduction: {
        action: 'setup emails',
        paragraph: "First, let's watch this quick video to learn what are the System Settings.  When complete, click on Setup Menu button to get started."
      }
    },
    profileTab: {
      title: 'Personal info',
      subtitle: 'Update your photo and personal details here.',
      name: 'Name',
      first: 'First name',
      last: 'Last name',
      email: 'Email address',
      yourPhoto: 'Your photo',
      yourPhotoDes: 'This will be displayed on your profile.',
      ClickUpload: 'Click to upload',
      dragDrop: 'or drag and drop',
      validationPhoto: 'SVG, PNG, JPG or GIF (max. 800x400px)',
      role: 'Role',
      country: 'Country',
      bio: 'Bio',
      bioDesc: 'Write a short introduction.',
      description: 'Description',
      phone_number: 'Phone number',
      personal_phone: 'Personal phone',
      is_email_verified: 'Is email verified',
      verified: 'verified',
      not_verified: 'Not verified',
      gender: 'gender',
      birthday: 'birthday',
      national_id: 'National id',
      charactersLeft: 'characters left',
      characters: 'characters'
    },
    companyTab: {
      title: 'Company info',
      subtitle: 'Update your photo and company details here.'
    },
    general: {
      projects: {
        title: 'Projects',
        subtitle: 'Here is your general Projects list data',
        create_new_project: 'Add Project',
        add_new_project_description: 'You won"t be able to this!',
        add_new_project: 'Add a new project',
        alerts: {
          deleteTask: {
            title: 'Are You Sure To delete this Task?'
          }
        },
        owners: 'Owners',

        taskes: {
          ProjectTasksTitle: 'Project Tasks',
          title: 'Task Details',
          subTitle: 'Here is your general Task list data',
          ProjectsListData: 'Here is your general Projects list data',
          addTask: 'Add Task',
          editTask: 'Edit Task',
          createdBy: 'Created By',
          noTasks: 'There is no Tasks yet',
          menu: 'Menu',
          comments: 'Comments',
          noComments: 'There is no comments yet',
          totalProgress: 'Total Progress',
          projectCreate: 'Project Create',
          dueDate: 'Due date',
          projectDescription: 'Project Description',
          fileType: 'this file type is not supported',
          accept: 'Accept Task',
          complete: 'Complete',
          completeTask: 'Complete Task',
          completeTaskMsg: 'Are you sure to complete this task?',
          commentField: {
            placeholder: 'Type comment here...'
          },
          send: 'Send',
          createPopup: {
            title: 'Add a new Task',
            edit: 'Edit Task'
          },
          attach: {
            title: 'Upload a new file',
            subTitle: 'you Can uplaod any file'
          },
          filter: {
            All: 'All',
            Important: 'Important',
            Completed: 'Completed',
            Pending: 'Pending',
            Accepted: 'Accepted',
            Trash: 'Trash',
            More: 'More'
          }
        },
        single: {
          title: 'Projects Details',
          subTitle: 'Here is your general Projects list data',
          members: 'Members',
          InvitePeople: 'Invite People',
          Private: 'Private',
          Edit: 'Edit',
          Comments: 'Comments',
          TotalProgress: 'Total Progress',
          ProjectCreate: 'Project Create',
          Duedate: 'Due date',
          projectDescription: 'Project Description',
          createdAt: 'Created At',
          commentField: {
            placeholder: 'Type comment here...'
          },
          send: 'Send',
          NewestComment: 'Newest Comment'
        }
      },
      invoices: {
        title: 'Quotes and Invoices',
        subtitle: 'Here is your general leads list data',
        add_new_invoice: 'Add new invoice',
        date: 'Date',
        number: 'Invoice Number',
        customer: 'Customer',
        amount: 'Amount',
        currency: 'Currency',
        user: 'User',
        sub_total: 'Sub Total',
        create_invoice: 'Create Invoice',
        create_subtitle: 'Here is your Create Invoice list data',
        select_customer: 'Select Customer',
        telefone: 'Telefone',
        choose_templete: 'Choose Template',
        client: 'Client',
        total: 'Total'
      },
      products: {
        product: '{myVar}',
        price: 'Price',
        title: 'General {myVar}',
        subtitle: 'Here is your general {myVar} list data',
        product_name: '{myVar} Name',
        product_description: '{myVar} Description',
        quantity: 'Quantity',
        brief: 'Brief',
        sku: 'SKU',
        barcode: 'Barcode',
        status: 'Status',
        active: 'Active',
        inactive: 'Inactive',
        profile_agents: 'Agents working on the product:',
        leads_interested: '{myVar} interested in the {myVar2}:',
        media: 'Media',
        add_media: 'Add media',
        edit_media: 'Edit media',
        fileName: 'File name',
        product_profile: '{myVar} Profile',
        share_icon: 'Share icon',
        best_time: 'Best Time',
        email: 'email',
        phone_number: 'Phone Number',
        description: 'Description'
      },
      branches: {
        branch: '{myVar}',
        address: 'Address',
        country: 'Country',
        zip_code: 'Zip Code',
        email: 'Email',
        phone: 'Phone',
        title: '{myVar}',
        subtitle: 'Here is your {myVar} list data',
        add_new_branch: 'Add New {myVar}',
        edit_branch: 'Edit {myVar}',
        branch_name: '{myVar} Name',
        branch_description: '{myVar} Description',
        branch_address: '{myVar} Address',
        branch_country: '{myVar} Country',
        branch_city: '{myVar} city',
        city: '{myVar} city',
        status: 'status',
        state: 'State',
        branch_zip_code: '{myVar} Zip Code',
        branch_email: '{myVar} Email',
        branch_phone: '{myVar} Phone',
        branch_location_lat: '{myVar} Location Latitude',
        branch_location_lng: '{myVar} Location Longitude',
        single: {
          title: '{myVar} Profile'
        },
        branch_revenues: '{myVar} revenues',
        branchStatus: '{myVar} Status',
        location: 'Location',
        open: 'Open',
        closed: 'Closed',
        alerts: {
          deleteBranch: {
            title: 'Are you sure to delete',
            description: "You won't be able to revert this!",
            yes: 'Yes ,delete it'
          }
        }
      },
      categories: {
        title: '{myVar}',
        subtitle: 'Here is the table of {myVar}',
        category: '{myVar}',
        categories: 'categories',
        name: 'name',
        description: 'description',
        parent: 'parent'
      },
      services: {
        title: '{myVar}',
        subtitle: 'Here is the table of {myVar}',
        service: '{myVar}',
        name: 'name',
        description: 'description',
        parent: 'parent'
      },
      clients: {
        title: 'General Clients',
        subtitle: 'Here is the table of clients',
        client: 'client',
        name: 'name',
        description: 'description',
        parent: 'parent',
        add_new_client: 'Add New client',
        email: 'Email',
        phone_number: 'Phone',
        age: 'age',
        gender: 'Gender'
      },
      brands: {
        title: 'General {myVar}',
        subtitle: 'Here is the table of {myVar}',
        brand: '{myVar}',
        brands: 'Brands',
        name: 'name',
        description: 'description',
        parent: 'parent',
        featured: 'Featured Brand'
      },
      agents: {
        agent: '{myVar}',
        title: '{myVar}',
        titleGeneral: 'General {myVar}',
        subtitle: 'Here is your {myVar} list data',
        edit_agent: 'Edit {myVar}',
        add_new_agent: 'Add New {myVar}',
        agent_name_ar: '{myVar} Name (Arabic)',
        agent_name_en: '{myVar} Name (English)',
        email: 'Email',
        sms: 'SMS',
        reportTo: 'Report to',
        phone_number: 'Phone Number',
        personal_phone: 'Personal Phone',
        national_id: 'National ID',
        role: 'Role',
        remainder: 'Remainder',
        task: 'Task',
        personalEmail: 'Personal Email',
        role_id: 'Role ID',
        profile: 'Profile',
        branches: 'Branches',
        editAgent: ' Edit Agent',
        directManager: 'Direct Manager',
        selectAgent: 'Select {myVar}',
        productsAssigned: 'Products assigned',
        followers: 'Followers',
        following: 'Following',
        numberOf: 'Number of {myVar}',
        allTask: 'All Task',
        remainders: 'Remainders',
        more: 'more',
        enterDescription: 'Enter a Description',
        addRemainder: 'Add Remainder',
        editRemainder: 'Edit Remainder',
        taskType: 'Task Type',
        selectTaskType: 'Select task type',
        outcome: 'Outcome',
        selectOutcome: 'Select task type',
        markedAsCompleted: 'Marked as completed'
      },
      roles: {
        role: 'Role',
        title: 'Roles',
        subtitle: 'Here is your roles list data',
        createRole: 'create new role',
        supportingText: 'Grant or remove permissions to this role',
        deleteRole: 'Delete this Role',
        roleName: 'Role Name',
        save: 'Save',
        cancel: 'Cancel',
        addNewRole: 'Add New Role',
        editRole: 'Edit Role',
        selectPermissions: 'Select Permissions',
        permissions: 'Permissions',
        permissionsSupportingText: 'Grant or remove permissions to this role',
        name: 'Name',
        create: 'Create',
        edit: 'Edit',
        assignedPermissions: 'Assigned Permissions',
        search: 'Search',
        guardName: 'Guard Name',
        createdAt: 'Created At',
        selectAll: 'Select All',
        permissionsError: 'Please select at least one permission'
      },
      permissions: {
        permissions: 'permissions',
        title: 'General Roles',
        subtitle: 'Here is your roles list data',
        add_new_role: 'Add New Role',
        edit_role: 'Edit Role',
        role_name: 'Role Name',
        select_permissions: 'Select Permissions',
        name: 'Name',
        guard_name: 'Guard Name',
        created_at: 'Created At'
      },
      forms: {
        form: '{myVar}',
        unknown: 'Unknown',
        product: 'Product',
        agent: 'Agent',
        title: '{myVar}',
        subtitle: 'Here is your {myVar} list data',
        add_new_form: 'Add New {myVar}',
        name: 'Name',
        product_id: 'Product ID',
        source_id: 'Source ID',
        branch_id: 'Branch ID',
        form_id: 'Form ID',
        branch_form_response_ar: 'Branch Form Response (Arabic)',
        branch_form_response_en: 'Branch Form Response (English)',
        published_at: 'Published At',
        expired_at: 'Expired At',
        redirection_url: 'Redirection URL',
        not_valid_url: 'Not a valid URL',
        visit: 'Visit',
        field_required: 'this field is required',
        error: 'there is an error in this field',
        source: 'Source',
        view_form: 'View form',
        user: 'User',
        chooseLevel: 'Choose a Level',
        create_form: 'Create New Form',
        edit_form: 'Edit {myVar}',
        form_name: '{myVar} Name',
        description: 'Description',
        published_date: 'Published date',
        expiration_date: 'Expiration date',
        group: 'Department',
        branch: 'Branch',
        chooseProduct: 'Choose a Product',
        chooseGroup: 'Choose a Department',
        chooseService: 'Choose a Service',
        chooseBrand: 'Choose a Brand',
        chooseBranch: 'Choose a Branch',
        chooseSource: 'Choose a Source',
        status: 'Status',
        brand: 'Brand',
        fields: {
          field_name: 'Field Name',
          name: 'Name',
          field_type: 'Field Type',
          min: 'Min',
          max: 'Max',
          label_ar: 'Label (Arabic)',
          label_en: 'Label (English)',
          placeholder_ar: 'Placeholder (Arabic)',
          placeholder_en: 'Placeholder (English)',
          regex: 'Regex',
          is_required: 'Is Required?'
        },
        title_ar: 'Title Arabic',
        title_en: 'Title English',
        introduction: 'Introduction',
        introduction_description: 'Name Introduction Filed',
        submit_button: 'submit button',
        submit: 'submit',
        from_day: 'From Day',
        from: 'From',
        to_day: 'To Day',
        to: 'To'
      },
      departments: {
        department: 'Department',
        branch: 'Branch',
        head: 'General Departments',
        subtitle: 'Here is your general departments list data',
        singleDepartmentSubtitle: 'Here is your department data',
        add_new_department: 'Add New department',
        addMembers: 'Add Members',
        edit_department: 'Edit department',
        title: '{myVar}',
        description: ' description',
        status: 'status',
        type: 'type',
        members: 'members',
        membersNumbers: 'members number',
        type1: 'clients department',
        type2: 'agents department'
      },
      segments: {
        department: 'Segment',
        branch: 'Branch',
        head: 'General Segments',
        subtitle: 'Here is your general segments list data',
        singleSegmentSubtitle: 'Here is your segment data',
        add_new_segment: 'Add New segment',
        addMembers: 'Add Members',
        edit_segment: 'Edit segment',
        title: 'General title',
        description: ' description',
        status: 'status',
        type: 'type',
        members: 'members',
        membersNumbers: 'members number',
        type1: 'clients segment',
        type2: 'agents segment',
        name: 'Segment Name',
        importData: 'Import Data',
        importLeads: 'Import Leads',
        syncData: 'Sync Data',
        sync: 'Sync',
        viewSync: 'View Sync',
        selectTheDate: 'Select the Date',
        pleaseSelectTheDate: 'Please select the products'
      },
      platforms: {
        platform: 'platform',
        branch: 'Branch',
        title: 'General platforms',
        subtitle: 'Here is your general platforms list data',
        add_new_platform: 'Add New platform',
        name: 'platform Name',
        description: 'description',
        status: 'status'
      },
      notification: {
        title: 'Notifications for Stages And Status',
        subtitle: 'Assign E-mail Notifications for each Status',
        subject: 'subject',
        body: 'body'
      },
      statuses: {
        title: 'stages and statuses',
        subtitle: 'You can create upto 10 stages',
        stage: 'stage',
        createNewStage: 'Create New Stage',
        editStage: 'Edit Stage',
        enterStageName: 'Enter Stage Name',
        status: 'Status',
        statusMsg: 'You can add maximum 10 status to a stage',
        addNewStatus: 'Add New Status',
        save: 'Save'
      },
      transactions: {
        transaction: 'transaction',
        branch: 'Branch',
        title: 'General transactions',
        subtitle: 'Here is your general transactions list data',
        add_new_transaction: 'Add New transaction',
        name: 'transaction Name',
        description: 'description',
        status: 'status'
      },
      reports: {
        title: 'General Reports',
        subTitle: 'Here is your reports list data',
        filter: {
          title: 'Filter Reports'
        }
      },
      taxes: {
        taxe: 'taxes',
        branch: 'Branch',
        title: 'General taxes',
        subtitle: 'Here is your general taxes list data',
        add_new_taxe: 'Add New taxe',
        name: 'taxe Name',
        description: 'description',
        status: 'default',
        active: 'Active',
        inactive: 'Inactive',
        name_ar: 'Name (Arabic)',
        name_en: 'Name (English)',
        description_ar: 'Description (Arabic)',
        description_en: 'Description (English)',
        percent: 'Percent'
      },
      campaigns: {
        campaign: 'campaign',
        head: 'General campaigns',
        subtitle: 'Here is your general campaigns list data',
        add_new_campaign: 'New campaign',
        email: 'Email',
        message: 'Message',
        create_campaign_subtitle: 'What type of campaign would you like to send?'
      },
      folders: {
        folder: '{myVar}',
        title: '{myVar}',
        subtitle: 'Here is your folders list data',
        name: 'Name',
        date: 'Modified',
        size: 'Size',
        folder_name: 'Folder Name',
        media: 'Media',
        single: {
          title: 'Files',
          subtitle: 'Here is your files list data'
        },
        privacy: 'Privacy',
        share: 'Share',
        copyShareLink: 'Copy Share Link',
        link_copied: 'Link Copied',
        link_name: 'Link Name',
        expired_at: 'Expired At',
        private: 'Private',
        public: 'Public',
        password: 'Password',
        optional: 'Optional'
      },
      links: {
        title: 'Shared Links',
        subtitle: 'Here is your shared links list data',
        name: 'Name'
      },
      sources: {
        source: '{myVar}',
        title: '{myVar}',
        subtitle: 'Here is your sources list data',
        source_name: '{myVar} Name',
        platform: 'Platform',
        yes: 'Yes',
        no: 'No'
      },
      groups: {
        title: '{myVar}'
      },
      lastActivity: 'Last Activity',
      taskAssignedTo: 'Task Assigned To',
      lastRemainders: 'Last Remainders',
      branchAgents: '{myVar} {myVar2}',
      productsAvailable: '{myVar} Available',
      target: 'Target'
    },
    auth: {
      welcomeBack: 'Welcome Back',
      fillData: 'Fill Login Data account',
      nextStep: 'Next Step',
      login: 'Login',
      register: 'Register',
      companyName: 'Company Name',
      companyCode: 'Company Code',
      companyEmail: 'Company Email',
      forgotPassword: 'Forgot Password?',
      resetPassword: 'Reset Password',
      logout: 'Logout',
      email: 'Email',
      name: 'Name',
      password: 'Password',
      confirmPassword: 'Confirm Password',
      tryTheString: 'Try the string',
      header:
        'Lorem ipsum dolor sit amet consectetur. Suspendisse integer non praesent mi ornare leo tincidunt elementum sem. Dui mattis vulputate mauris at amet.',
      point1: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      point2: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      point3: 'Lorem ipsum sit amet consectetur. Suspendisse integer non praesent.',
      trustedBy: 'Trusted by businesses worldwide',
      pleaseEnterYour: 'Please enter your company code',
      enterCompanyCode: 'Enter company code',
      next: 'Next',
      doNotHaveAnAccount: "Don't have an account?",
      signUp: 'Sign Up',
      invalidCode: 'Please enter valid code containing 4 digits',
      loginToYourAccount: 'Login to your account',
      yourEnteredCompanyCode: 'Your entered company code:',
      enterPassword: 'Enter password',
      rememberMe: 'Remember me',
      signIn: 'Sign In',
      or: 'or',
      signInWithGoogle: 'Sign in with Google',
      invalidEmail: 'Please enter a valid email',
      invalidName: 'Please enter a valid name',
      invalidPassword: 'Please enter a password of minimum 8 characters',
      registration: 'Registration',
      signUpToYourAccount: 'Sign up to your account',
      enterYourName: 'Enter your name',
      enterConfirmPassword: 'Enter confirm password',
      alreadyHaveAnAccount: 'Already have an account?',
      mismatchPasswords: 'Passwords mismatch please enter the same password',
      emailVerification: 'Email Verification',
      weSent: 'We sent a verification code to',
      verifyEmail: 'Verify Email',
      didNotReceive: "Did't receive the email?",
      clickToResend: 'Click to resend',
      backToLogIn: 'Back to log in',
      companyDetails: 'Company Details',
      phoneNumber: 'Phone Number',
      industry: 'Industry',
      select: 'Select',
      timeZone: 'Time Zone',
      selectTimeZone: 'Select Time Zone',
      currency: 'Currency',
      selectCurrency: 'Select Currency',
      totalEmployees: 'Total Employees',
      selectSize: 'Select Size',
      invalidPhone: 'Please enter a phone of minimum 7 digits and maximum 16 digits',
      invalidIndustry: 'Please select an industry',
      domain: 'Domain',
      invalidDomain: 'Please enter a valid domain',
      city: 'City',
      save: 'Save',
      website: 'Website',
      address: 'Address',
      postalCode: 'Postal Code',
      invalidCity: 'Please select a city',
      invalidCurrency: 'Please select a currency',
      invalidTimezone: 'Please select a timezone',
      invalidEmployees: 'Please select total employees',
      logo: 'Logo',
      invalidFileSize: 'Please choose a file of maximum 2MB',
      forgetPassword: 'Forget Password',
      enterEmailAddressToGetCode:
        'Enter the email address you used when you joined and we’ll send you code to reset your password.',
      sendCode: 'Send Code',
      pleaseEnterNewPassword: 'Please enter your new password',
      signUpCompleted: 'Sign Up Completed',
      thankYouFor: 'Thank you for your registration, an email will be sent to your inbox shortly with your login info.'
    },
    data_table: {
      id: 'ID',
      quantity: 'Quantity',
      general: 'general',
      taxes: 'Taxes',
      client: 'Client',
      template: 'Template',
      description: 'Description',
      visit: 'Visit',
      image: 'Image',
      form: 'Form',
      projectName: 'Project Name',
      due_date: 'Due Date',
      countdown: 'Count Down',
      inactive: 'In Active',
      active: 'Active',
      ok: 'OK',
      apply: 'Apply',
      action: 'Action',
      title: 'Title',
      received_date: 'Received Date',
      status: 'Status',
      secStatus: 'Second Status',
      threeStatus: 'Status Three',
      search: 'Search',
      export: 'Export',
      import: 'Import',
      create: 'Create',
      delete: 'Delete',
      edit: 'Edit',
      save: 'Save',
      cancel: 'Cancel',
      confirm: 'Confirm',
      delete_confirm: 'Are you sure you want to delete this item?',
      delete_confirm_sub: "You won't be able to revert this!",
      yes: 'Yes',
      yes_delete: 'Yes, Delete',
      no: 'No',
      photo: 'Photo',
      showing_number: 'Showing page {start} of {total}.',
      email: 'Email',
      phone_number: 'Phone Number',
      address: 'Address',
      country: 'Country',
      number_id: 'Number ID',
      department: 'Department',
      source: 'Source',
      time: 'Time',
      date: 'Date',
      call_1: 'Call 1',
      call_2: 'Call 2',
      calls: 'Calls',
      percent: 'Percent',
      source_form: 'Source Form',
      add_new: 'Add New Form',
      preview: 'Preview',
      customize: 'Customize',
      customize_table: 'Customize Table',
      zip: 'ZIP Code',
      manager: 'Manager',
      created_at: 'Created at',
      submit: 'Submit',
      name: 'Name',
      user: 'User',
      public_form: 'Public Form',
      filter: 'Filter',
      filter_source: 'Filter Source',
      parent: 'parent',
      assignToUser: 'assign To User',
      phone: 'Phone',
      age: 'Age',
      gender: 'Gender',
      filter_role: 'Filter Role',
      filter_branch: 'Filter Branch',
      filter_status: 'Filter Status',
      clear: 'Clear',
      advanced_filter: 'Advanced Filter',
      city: 'City',
      membersNum: 'Members Num.',
      type: 'Type',
      rating: 'Rating',
      profile_image: 'Profile Picture',
      icon: 'Icon',
      download: 'Download',
      views: 'Views',
      size: 'Size',
      privacy: 'Privacy',
      downloads: 'Downloads',
      back: 'Back',
      bmid: 'BMID',
      phone_id: 'Phone ID',
      fourStatus: 'Status Four',
      fiveStatus: 'Status Five',
      view: 'View',
      select: 'Select',
      remainder: 'Remainder',
      dueDays: 'Due Days',
      best_time: 'Best time',
      call_date: 'Call date',
      reminder: 'Reminder',
      price: 'Price',
      sku: 'SKU',
      brands: 'Brands',
      category: 'Category',
      branches: 'Branches',
      children: 'Subcategories',
      users: 'Users',
      members_count: 'Members Count',
      creation_date: 'Creation date',
      personal_phone: 'Personal Phone',
      national_id: 'National ID',
      last_seen: 'Last Seen',
      role: 'Role',
      followers: 'Followers',
      first_name: 'First Name',
      middle_name: 'Middle Name',
      last_name: 'Last Name',
      full_name: 'Full Name',
      birthday: 'Birthday',
      zip_code: 'Zip Code',
      users_count: 'Members Count',
      managers: 'Managers',
      location: 'Location',
      is_platform: 'Is Platform',
      stages: 'Stages',
      event: 'Event',
      user_name: 'User Name',
      customer_at: 'Customer At',
      submissions: 'Submissions',
      stage: 'Stage',
      lead_info: 'Lead Info',
      passport: 'Passport',
      passports: 'Passports',
      serial_number: 'Serial Number',
      levels: 'Levels'
    },
    utils: {
      loading_title: 'Just a moment...',
      logout: 'Logout',
      export_success: 'Successfully Exported the file',
      export_error: 'Error in exporting the file',
      required: 'This field is required',
      national_id: 'National ID must be 13 digits',
      personal_phone: 'Personal Phone must be between 10 and 13 digits',
      email: 'Email is not valid',
      edit_success: 'Successfully Edited',
      phone_number: 'Phone must be between 10 and 13 digits'
    },
    dashboard: {
      title: 'Analytics overview',
      sales: 'Sales',
      profit: 'Profit',
      january: 'January',
      february: 'February',
      march: 'March',
      april: 'April',
      may: 'May',
      june: 'June',
      july: 'July',
      august: 'August',
      september: 'September',
      october: 'October',
      november: 'November',
      december: 'December',
      number_of_leads: 'Number of Leads',
      product_and_service: 'Product and Service',
      public_form: 'Public Form',
      number_of_employes: 'Number of Employes',
      increase_from_last_week: '{perc} Increase from last week',
      activity_log: 'Activity Log',
      task_assigned: 'Task Assigned To',
      last_remainders: 'Last Remainders',
      Leads_status: 'Leads Status',
      leads: 'Leads',
      total_leads: 'Total Leads',
      today_leads: 'Today Leads',
      last_7_days_leads: 'Last 7 Days Leads',
      last_30_days_leads: 'Last 30 Days Leads',
      status_1: 'Status 1',
      status_2: 'Status 2',
      status_3: 'Status 3'
    },
    agent: {
      agent: 'Agent',
      agentName: '{myVar} Name',
      agentEmail: '{myVar} Email',
      phoneNumber: '{myVar} Phone Number',
      personalPhone: '{myVar} Personal Phone',
      nationalId: '{myVar} National Id',
      selectRole: 'Select Role',
      selectFollowers: 'Select Followers',
      selectGender: 'Select Gender',
      selectBranches: 'Select {myVar}',
      selectTeam: 'Select Team',
      team: 'Team',
      deal_number: 'Deal Number',
      last_login: 'Last Login'
    },
    leads: {
      level: 'Level',
      lead: '{myVar}',
      branch: 'Branch',
      leadProfile: '{myVar} Profile',
      title: '{myVar}',
      subtitle: 'Here is your {myVar} list data',
      lead_name_ar: 'lead Name (Arabic)',
      lead_name_en: 'lead Name (English)',
      lead_description_ar: 'lead Description (Arabic)',
      lead_description_en: 'lead Description (English)',
      description: 'Description',
      info_call: 'Information Call',
      info_call_text: 'You wont be able to revert this!',
      first_name: 'First Name',
      middle_name: 'Middle Name',
      intakeDate: 'Intake Date',
      last_name: 'Last Name',
      email: 'Email',
      phone_number: 'Phone Number',
      phone: 'Phone',
      national_id: 'National ID',
      personal_phone: 'Personal Phone',
      address: 'Address',
      gender: 'Gender',
      birthday: 'Birthday',
      female: 'Female',
      male: 'Male',
      add_remider: 'Add Remider',
      notification: 'Send notification',
      full_name: 'Full Name',
      tooltip_edit: 'To edit, click on the field you want to edit',
      add_call: 'add call',
      location_details: 'Location Details',
      additional_data: 'Additional Data',
      additional_details: 'Additional Details',
      age: 'Age',
      scoring: 'scoring',
      created_at: 'Applied date from',
      created_to: 'Applied date to',
      all: 'All',
      whats: 'whats app',
      sms: 'sms',
      assignTo: 'Assign To',
      calls: 'Calls',
      years: 'Years',
      month: 'Month',
      filter: {
        title: 'Advanced Filter',
        by: 'Filter By',
        qualifiers: 'Qualifiers',
        potential: 'Potential',
        interested_in: 'Interested in',
        lead_stage: '{myVar} Stage',
        c_groups: 'C-Groups',
        capture: 'Capture',
        deal_size: 'Deal size'
      },
      source: 'source',
      others: 'others',
      more_than_one: 'More than one',
      marketLead: 'Market {myVar}',
      date_of_purchase_from: 'Date of purchase from',
      date_of_purchase_to: 'Date of purchase to',
      joinedTo: 'Joined To',
      call: 'call',
      customerAt: 'Customer At',
      joinBy: 'Join By',
      location_Information: 'Location Information',
      submission_Information: 'Submission Information',
      products: 'Products',
      categories: 'Categories',
      pending: 'Pending',
      approved: 'Approved',
      rejected: 'Rejected',
      canceled: 'Canceled',
      last_update: 'Last Update',
      applied_date: 'Applied Date',
      last_note: 'Last Note',
      notes: 'Notes',
      add_note: 'Add Note',
      add_notes: 'Add Notes',
      edit_notes: 'Edit Notes',
      note: 'Note',
      importMessage: 'Download the template file to make sure your data is formatted correctly.',
      file: 'File',
      select_file: 'Select your (xls) file',
      chooseStatus: 'Choose a Status',
      chooseSecStatus: 'Choose a Second Status',
      chooseThreeStatus: 'Choose a Third Status',
      chooseFourStatus: 'Choose a Fourth Status',
      chooseFiveStatus: 'Choose a Fifth Status'
    },
    modules_forms: {
      title: 'Modules Forms Builder',
      subtitle: 'Here is your Modules Forms Builder',
      module: 'Module'
    },
    forms_builder: {
      title: 'Module Form Builder',
      subtitle: 'Here is your Module Form Builder'
    },
    validations: {
      // DON'T TOUCH FIELD VARIABLE
      messages: {
        alpha: 'The {_field_} may only contain alphabetic characters',
        alpha_num: 'The {_field_} may only contain alpha-numeric characters',
        alpha_dash: 'The {_field_} may contain alpha-numeric characters as well as dashes and underscores',
        alpha_spaces: 'The {_field_} may only contain alphabetic characters as well as spaces',
        between: 'The {_field_} must be between {min} and {max}',
        confirmed: 'The {_field_} confirmation does not match',
        digits: 'The {_field_} must be numeric and exactly contain {length} digits',
        dimensions: 'The {_field_} must be {width} pixels by {height} pixels',
        email: 'The {_field_} must be a valid email',
        excluded: 'The {_field_} is not a valid value',
        ext: 'The {_field_} is not a valid file',
        image: 'The {_field_} must be an image',
        integer: 'The {_field_} must be an integer',
        length: 'The {_field_} must be {length} long',
        max_value: 'The {_field_} must be {max} or less',
        max: 'The {_field_} may not be greater than {length} characters',
        mimes: 'The {_field_} must have a valid file type',
        min_value: 'The {_field_} must be {min} or more',
        min: 'The {_field_} must be at least {length} characters',
        numeric: 'The {_field_} may only contain numeric characters',
        oneOf: 'The {_field_} is not a valid value',
        regex: 'The {_field_} format is invalid',
        required_if: 'The {_field_} is required',
        required: 'The {_field_} is required',
        size: 'The {_field_} size must be less than {size}KB'
      }
    },
    variables: {
      agents: 'Agents',
      agent: 'Agent',
      branches: 'Branches',
      branch: 'Branch',
      brands: 'Brands',
      brand: 'Brand',
      categories: 'Categories',
      category: 'Category',
      services: 'Services',
      service: 'Service',
      lead: 'Lead',
      submissions: 'Submissions',
      products: 'Products',
      product: 'Product',
      forms: 'Forms',
      form: 'Form',
      level: 'Level',
      status: 'Status',
      folders: 'Folders',
      folder: 'Folder',
      files: 'Files',
      file: 'File',
      roles: 'Roles',
      role: 'Role',
      links: 'Links',
      link: 'Link',
      sources: 'Sources',
      source: 'Source',
      customers: 'Customers',
      customer: 'Customer',
      groups: 'Departments',
      group: 'Department',
      segment: 'Segment',
      segments: 'Segments',
      departments: 'Departments',
      department: 'Department',
      logs: 'Logs',
      stages: 'Stages',
      contacts: 'Contacts',
      contact: 'Contact',
      leads: 'Leads',
    },
    business: {
      introductions: 'Setup Introductions',
      profile: 'Profile',
      branches: 'Branches',
      categories: 'Categories',
      brands: 'Brands',
      services: 'Services',
      products: 'Products'
    },
    introduction: {
      setUpYourBusiness: 'Set Up Your Business',
      paragraph:
        "First, let's watch this quick video to learn how to setup your business. When complete, click on Setup Business button to get started.",
      setupBusiness: 'Set Up Business'
    },
    profile: {
      title: 'Profile',
      yourPhoto: 'Your Photo',
      thisWillBeDisplayed: 'This will be displayed on your profile.',
      delete: 'Delete',
      update: 'Update',
      name: 'Name',
      emailAddress: 'Email Address',
      gender: 'Gender',
      phoneNumber: 'Phone Number',
      nationalId: 'National ID',
      personalPhoneNumber: 'Personal Phone Number',
      accountVerification: 'Account Verification',
      save: 'Save',
      next: 'Next',
      female: 'Female',
      male: 'Male',
      notVerified: 'Not Verified',
      verified: 'Verified',
      invalidNationalId: 'Please enter a valid national Id'
    },
    general_form: {
      back: 'Back',
      save: 'Save',
      errorImage: 'Please select an image'
    },
    branches: {
      title: 'Branches',
      name: '{label} Name',
      namePlaceholder: 'Enter {label} name here',
      address: '{label} Address',
      addressPlaceholder: 'Enter {label} address here',
      country: '{label} Country',
      countryPlaceholder: 'Enter {label} country',
      city: '{label} City',
      cityPlaceholder: 'Enter {label} city',
      phone: '{label} Phone',
      email: '{label} Email',
      emailPlaceholder: 'Enter {label} email here',
      manager: '{label} Manager',
      managerPlaceholder: 'Enter {label} manager here',
      zip: 'Zip Code',
      zipPlaceholder: 'Enter zip code here',
      description: 'Description',
      descriptionPlaceholder: 'Enter a description...',
      characters: 'characters remaining',
      errorCountry: 'Please select a country',
      errorCity: 'Please select a city',
      errorManager: 'Please select a manager'
    },
    brands: {
      title: 'Brands',
      name: '{label} Name',
      namePlaceholder: 'Enter {label} name here'
    },
    services: {
      title: 'Services',
      name: '{label} Name',
      namePlaceholder: 'Enter {label} name here'
    },
    products: {
      title: 'Products',
      name: '{label} Name',
      namePlaceholder: 'Enter {label} name here',
      location: '{label} Location',
      locationPlaceholder: 'Enter {label} location here',
      address: '{label} Address',
      addressPlaceholder: 'Enter {label} address here',
      price: 'Price',
      pricePlaceholder: 'Enter {label} price here',
      sku: 'SKU',
      skuPlaceholder: 'Enter sku here',
      quantity: 'Quantity',
      quantityPlaceholder: 'Enter quantity here',
      branches: '{label}',
      branchesPlaceholder: 'Select a {label} here',
      category: '{label}',
      categoryPlaceholder: 'Select a {label} here',
      subcategory: 'Sub-{label}',
      subcategoryPlaceholder: 'Select a Sub-{label} here',
      services: '{label}',
      servicesPlaceholder: 'Select a {label} here',
      brands: '{label}',
      brandsPlaceholder: 'Select a {label} here',
      agents: '{label}',
      agentsPlaceholder: 'Select an {label} here',
      description: 'Description',
      descriptionPlaceholder: 'Enter a description...',
      characters: 'characters remaining',
      errorBranch: 'Please select a {label}',
      errorCategory: 'Please select a {label}',
      errorSubcategory: 'Please select a Sub-{label}',
      errorService: 'Please select a {label}',
      errorBrand: 'Please select a {label}',
      errorAgent: 'Please select an {label}'
    },
    categories: {
      mainCategory: 'Main Category',
      subcategories: 'Subcategories',
      addNew: 'Add New',
      title: 'Categories',
      name: '{label} Name',
      namePlaceholder: 'Enter {label} name here',
      description: 'Description',
      descriptionPlaceholder: 'Enter a description...',
      subcategory: 'Sub-{label}',
      subcategoryPlaceholder: 'Enter Sub-{label} here',
      errorSubcategories: 'Please enter at least 1 Sub-{label}'
    },
    departments: {
      title: 'Departments',
      name: '{label} Title',
      namePlaceholder: 'Enter {label} title here',
      description: 'Description',
      descriptionPlaceholder: 'Enter a description...',
      members: 'Members'
    },
    drag: {
      text: 'Select an image or drag and drop here',
      browse: 'Browse',
      info: '* JPG, PNG or JPEG, file size no more than 10MB'
    }
  }
};
