export default {
  data() {
    return {
      r: [v => !!v || this.$t('utils.required')],
      rl: [v => !!v || this.$t('utils.required')]
    }
  },
  computed: {
    dateNow() {
      var today = new Date()
      var dd = String(today.getDate()).padStart(2, '0')
      var mm = String(today.getMonth() + 1).padStart(2, '0') //January is 0!
      var yyyy = today.getFullYear(),
        today = `${yyyy}-${mm}-${dd}`
      return today
    },
    global_user: {
      get() {
        try {
          const user = JSON.parse(localStorage.getItem('auth.user'))
          return user ? user : null
        } catch (error) {
          return null
        }
      },
      set(user) {
        this.$auth.$storage.setLocalStorage('auth.user', user)
      }
    },
    sm() {
      return this.$vuetify.breakpoint.smAndDown
    },
    placeholderFormatter() {
      return placeholder => {
        const placeholderObj = placeholder[this.$i18n.locale]
        if (placeholderObj) {
          return placeholderObj
        } else {
          return false
        }
      }
    },
    nameFormatter() {
      return name => {
        const nameObj = name[this.$i18n.locale]
        if (nameObj) {
          return nameObj
        } else {
          return false
        }
      }
    },
    labelFormatter() {
      return label => {
        const labelObj = label[this.$i18n.locale]
        if (labelObj) {
          return labelObj
        } else {
          return false
        }
      }
    }
  },
  methods: {
    load(payload) {
      this.$store.commit('utils/load', payload || false)
    }
  }
}