function findRemoteFunc (list, funcList, tokenFuncList, blankList) {
  if(!!list){
    for (let i = 0; i < list.length; i++) {
      if (list[i].type == 'grid') {
        list[i].columns.forEach(item => {
          findRemoteFunc(item.list, funcList, tokenFuncList, blankList)
        })
      } else {
        if (list[i].type == 'blank') {
          if (list[i].model) {
            blankList.push({
              name: list[i].model,
              label: list[i].name
            })
          }
        } else if (list[i].type == 'imgupload') {
          if (list[i].options.tokenFunc) {
            tokenFuncList.push({
              func: list[i].options.tokenFunc,
              label: list[i].name,
              model: list[i].model
            })
          }
        } else {
          if (list[i].options.remote && list[i].options.remoteFunc) {
            funcList.push({
              func: list[i].options.remoteFunc,
              label: list[i].name,
              model: list[i].model
            })
          }
        }
      }
    }
  }

}

export default function (data, type = 'vue') {

  const funcList = []

  const tokenFuncList = []

  const blankList = []

  findRemoteFunc(JSON.parse(data).list, funcList, tokenFuncList, blankList)

  let funcTemplate = ''

  let blankTemplate = ''

  for(let i = 0; i < funcList.length; i++) {
    funcTemplate += `
            ${funcList[i].func} (resolve) {
              // ${funcList[i].label} ${funcList[i].model}
              // Call callback function once get the data from remote server
              // resolve(data)
            },
    `
  }

  for(let i = 0; i < tokenFuncList.length; i++) {
    funcTemplate += `
            ${tokenFuncList[i].func} (resolve) {
              // ${tokenFuncList[i].label} ${tokenFuncList[i].model}
              // Call callback function once get the token
              // resolve(token)
            },
    `
  }

  for (let i = 0; i < blankList.length; i++) {
    blankTemplate += `
        <template slot="${blankList[i].name}" slot-scope="scope">
          <!-- ${blankList[i].label} -->
          <!-- use v-model="scope.model.${blankList[i].name}" to bind data -->
        </template>
    `
  }

  if (type == 'vue') {
//     return `<template>
//   <div>
//     <fm-generate-form :data="jsonData" :remote="remoteFuncs" :value="editData" ref="generateForm">
//       ${blankTemplate}
//     </fm-generate-form>
//     <el-button type="primary" @click="handleSubmit">提交</el-button>
//   </div>
// </template>

// <script>
//   export default {
//     data () {
//       return {
//         jsonData: ${data},
//         editData: {},
//         remoteFuncs: {
//           ${funcTemplate}
//         }
//       }
//     },
//     methods: {
//       handleSubmit () {
//         this.$refs.generateForm.getData().then(data => {
//           // data check success
//           // data - form data
//         }).catch(e => {
//           // data check failed
//         })
//       }
//     }
//   }
// </script>`
  } else {
    return `<!DOCTYPE html>
    <html dir="ltr">
    <head>
      <meta charset="UTF-8">
      <link rel="stylesheet" href="https://unpkg.com/element-ui/lib/theme-chalk/index.css">
      <link rel="stylesheet" href="https://unpkg.com/form-making/dist/FormMaking.css">
      <meta name="viewport" content="width=device-width, initial-scale=1">

      <link rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Roboto">
      <style>
      * {
        font-family: 'Roboto', serif;
      }
      .el-form-item__label{
        font-weight: bold;
      }
      .container{
        margin: auto;
        max-width: 1440px;
        padding: 20px;
      }
      .button-blk{
        text-align: center;
      }
      .vue-country-select .dropdown{
        height: 30px !important;
      }
      .vue-country-select{
        border-color: #dcdfe6 !important;
      }
    </style>
    </head>
    <body>
      <div id="app">
       <div class="container">
       <fm-generate-form v-if="reset" :data="jsonData" :remote="remoteFuncs" :value="editData" ref="generateForm">
       </fm-generate-form>
        <div class="button-blk">
          <el-button type="primary" @click="handleSubmit">Submit</el-button>
        </div>
       </div>
       <div  v-if="widgetForm == false">
       <v-alert color="#FBEDC3" icon="mdi-alert">
         <span class="text-[#000] text-[12px] leading-[1rem] d-inline-block">
           the form is closed
         </span>
       </v-alert>
     </div>
      </div>
      <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
      <script src="https://unpkg.com/element-ui/lib/index.js"></script>
      <script src="https://unpkg.com/form-making/dist/FormMaking.umd.js"></script>
      <script src="https://unpkg.com/element-ui/lib/umd/locale/en.js"></script>
      <script>
      ELEMENT.locale(ELEMENT.lang.en)
      new Vue({
        el: '#app',
        data: {
          formData: new FormData(),
          code: null,
          jsonData:${data},
          editData: {},
          reset:false,
          widgetForm: {
            list: [],
            config: {
              labelWidth: 100,
              labelPosition: 'right',
              size: 'small'
            },
          },
          remoteFuncs: {
  
          }
        },
        mounted(){
          console.log(this.jsonData)
          setTimeout(() => {
          this.removeHidden();
          this.reset = true;
        }, 1000);
        },
        watch: {
          '$store.state.forms.code': function (e) {
            console.log("eeee", e)
            this.myComponent = this.$store.state.forms.code;
            console.log("this.$store.state.forms.code", this.$store.state.forms.code)
          },
          widgetForm: {
            deep: true,
            handler: function (val) {
              console.log(this.$refs.widgetForm)
            }
          },
          '$i18n.locale': function (val) {
            this._loadComponents()
          }
        },
        methods: {
          removeHidden() {
            var staticForm = ['first_name', 'middle_name', 'last_name', 'full_name', 'email', 'phone_number', 'national_id', 'gender', 'birthday'];
            var that = this;
            var res = this.result;
            for (const key in that.jsonData) { // loop for main object
  
              if (that.jsonData.hasOwnProperty(key) && key == 'list') {
                const lists = that.jsonData[key];
                for (let index = 0; index < lists.length; index++) { // loop to get columns
                  var element = lists[index];
                  if (element.columns) {
                    for (const key in element.columns) {
                      if (Object.hasOwnProperty.call(element.columns, key)) {// loop to get ids columns
                        const elementColumns = element.columns[key];
                        if ('list' in elementColumns) {
                          if(elementColumns && elementColumns.list.length !=0 && 'hidden' in elementColumns.list[0] && elementColumns.list[0].hidden){
                            elementColumns.list = delete elementColumns.list[0]
                          //  console.log("elementelementelement",elementColumns.list[0])
                          }
                        }
                      }
                    }
                  }else{
                    if(element && 'hidden' in element && element.hidden){
                      that.jsonData[key] = lists.filter(element => {
                      return  !element.hidden;
                      }); // remove input
                    }
                   
                  }
                }
              }
            }
          },
          async constructFormData() {
      var data = new FormData();
      var that = this;
      var res = this.result;
      var staticForm = ['first_name', 'middle_name', 'last_name', 'full_name', 'email', 'phone_number', 'national_id', 'gender', 'birthday']
      for (const key in that.jsonData) { // loop for main object

        if (that.jsonData.hasOwnProperty(key) && key == 'list') {
          const lists = that.jsonData[key];
          for (let index = 0; index < lists.length; index++) { // loop to get columns
            const element = lists[index];
            if (element.id == "phone_number") {
              that.formData.append('phone_code', element.dialCode);
            }

            if (element.columns) {
              for (const key in element.columns) {
                if (Object.hasOwnProperty.call(element.columns, key)) {// loop to get ids columns
                  const elementColumns = element.columns[key];
                  if ('list' in elementColumns) {
                    for (const keyz in res) {
                      console.log("keyz", keyz)
                      var staticKey = keyz ? keyz.split('_')[0] + '_' : null;
                      var value = staticKey ? staticKey + elementColumns.list[0].key : null;

                      if (Object.hasOwnProperty.call(res, keyz) && value) {
                        const elements = res[keyz];
                        if (!!elements && keyz == staticKey + elementColumns.list[0].key) {
                          var id = elementColumns.list[0].id;
                          if (staticForm.includes(id)) {
                            that.formData.append(id, elements);
                          } else {
                            // start branches and products code
                            if (elementColumns.list[0].eleType == "branches" || elementColumns.list[0].eleType == "products") {
                              var options = elementColumns.list[0].options.options;
                              var filteredData = options.filter(item => item.value === elements);
                              if (typeof elements == "object") {
                                var result = that.findIdsByLabels(elements, options);
                                if (elementColumns.list[0].eleType == "branches") {
                                  result.forEach(id => {
                                    that.formData.append('branch_ids[]', id);
                                  });
                                }
                                if (elementColumns.list[0].eleType == "products") {
                                  result.forEach(id => {
                                    that.formData.append('product_ids[]', id);
                                  });
                                }
                              }

                              if (filteredData && filteredData.length != 0 && elementColumns.list[0].eleType == "branches") {
                                that.formData.append('branch_ids[]', filteredData[0].id);
                              }
                              if (filteredData && filteredData.length != 0 && elementColumns.list[0].eleType == "products") {
                                that.formData.append('product_ids[]', filteredData[0].id);
                              }
                            } else {
                              that.formData.append('attribute[' + elementColumns.list[0].name + ']', elements);
                            }
                          }


                        }

                      }
                    }

                  }
                }
              }
            } else {
              for (const keyz in res) {
                if (Object.hasOwnProperty.call(res, keyz)) {
                  const elements = res[keyz];
                  var staticKeys = keyz ? keyz.split('_')[0] + '_' : null;
                  if (!!elements && keyz == staticKeys + element.key) {
                    if (staticForm.includes(element.id)) {
                      that.formData.append(element.id, elements);
                    } else {

                      // start branches and products code
                      if (element.eleType == "branches" || element.eleType == "products") {
                        var options = element.options.options;
                        var filteredData = options.filter(item => item.value === elements);
                        if (typeof elements == "object") {
                          var result = that.findIdsByLabels(elements, options);
                          if (element.eleType == "branches") {
                            result.forEach(id => {
                              that.formData.append('branch_ids[]', id);
                            });
                          }
                          if (element.eleType == "products") {
                            result.forEach(id => {
                              that.formData.append('product_ids[]', id);
                            });
                          }
                        }

                        if (filteredData && filteredData.length != 0 && element.eleType == "branches") {
                          that.formData.append('branch_ids[]', filteredData[0].id);
                        }
                        if (filteredData && filteredData.length != 0 && element.eleType == "products") {
                          that.formData.append('product_ids[]', filteredData[0].id);
                        }
                      } else {
                        that.formData.append('attribute[' + element.name + ']', elements);
                      }

                    }


                  }

                }
              }

            }
          }

        }
      }
    },
    findIdsByLabels(labels, dataArray) {
      const ids = [];
      labels.forEach(label => {
        const foundItem = dataArray.find(item => item.label === label);
        if (foundItem) {
          ids.push(foundItem.id);
        }
      });
      return ids;
    },
          handleSubmit() {
      var domain = this.jsonData.domain;
      this.formData = new FormData();
      var myHeaders = new Headers();
      myHeaders.append("Accept", "application/json");
      myHeaders.append("lang", "ar");
      this.$refs.generateForm.getData().then(async data => {
        this.result = data;
        await this.constructFormData();
        var formData = this.formData;
        // for (var pair of formData.entries()) {
        //   console.log(pair[0] + ', ' + pair[1]);
        // }
        var requestOptions = {
          method: 'POST',
          headers: myHeaders,
          body: formData,
          redirect: 'follow'
        };
        fetch(domain, requestOptions)
          .then(response => {
            this.code = response.status;
            return response.text()
          })
          .then(result => {
            const parsedResult = result ? JSON.parse(result) : null;

            if (result && parsedResult && this.code == 422) {
              this.$message.error(parsedResult.message)
            }
            if (result && parsedResult && this.code == 200 || this.code == 201) {
              this.$message.success(parsedResult.message)
              if (parsedResult.data && parsedResult.data.isRedirect) {
               window.location.href = parsedResult.data.redirectUrl;
              }else{
               //     this.$refs.generateForm.reset();
              }
              console.log("parsedResult", parsedResult)
            }
          })
      })
    }
        }
      })
    </script>
    </body>
    </html>`
  }
}