export default {
  fm: {
    components: {
      fields: {
        input: 'Single-line Text',
        textarea: 'Multi-line Text',
        number: 'Counter',
        radio: 'Radio Group',
        checkbox: 'Checkbox Group',
        time: 'Time Picker',
        date: 'Date Picker',
        rate: 'Rating',
        color: 'Color Picker',
        select: 'Dropdown Select',
        switch: 'Switch',
        slider: 'Slider',
        text: 'Text',
        blank: 'Custom Area',
        fileupload: 'File',
        imgupload: 'Image',
        editor: 'Editor',
        cascader: 'Cascading Selector',
        table: 'Subform',
        grid: 'Grid Layout',
        tabs: 'Tabs',
        divider: 'Divider'
      },
      basic: {
        title: 'Basic Fields',
      },
      advance: {
        title: 'Advanced Fields',
      },
      layout: {
        title: 'Layout Fields',
      }
    },
    description: {
      containerEmpty: 'Drag from the left to add fields',
      configEmpty: 'Please add fields',
      tableEmpty: 'Drag from the left to add fields',
      uploadJsonInfo: 'The JSON format is as follows. Copy the generated JSON and replace the code here. Click OK to save.'
    },
    message: {
      copySuccess: 'Copy Successful',
      validError: 'Form data validation failed'
    },
    actions: {
      import: 'Import JSON',
      clear: 'Clear',
      preview: 'Preview',
      save: 'Save',
      json: 'Generate JSON',
      code: 'Generate Code',
      getData: 'Get Data',
      reset: 'Reset',
      copyData: 'Copy Data',
      cancel: 'Cancel',
      confirm: 'Confirm',
      addOption: 'Add Option',
      addColumn: 'Add Column',
      addTab: 'Add Tab',
      upload: 'Click to Upload',
      add: 'Add'
    },
    config: {
      form: {
        title: 'Form Properties',
        labelPosition: {
          title: 'Label Alignment',
          left: 'Left',
          right: 'Right',
          top: 'Top'
        },
        labelWidth: 'Form Label Width',
        size: 'Component Size',
        customClass: 'Custom Class'
      },
      widget: {
        title: 'Field Properties',
        model: 'Field Identifier',
        name: 'Title',
        width: 'Width',
        height: 'Height',
        size: 'Size',
        labelWidth: 'Label Width',
        custom: 'Custom',
        placeholder: 'Placeholder Content',
        layout: 'Layout',
        block: 'Block',
        inline: 'Inline',
        contentPosition: 'Text Position',
        left: 'Left',
        right: 'Right',
        center: 'Center',
        showInput: 'Show Input Box',
        min: 'Minimum Value',
        max: 'Maximum Value',
        step: 'Step',
        multiple: 'Multiple Selection',
        filterable: 'Searchable',
        allowHalf: 'Allow Half Selection',
        showAlpha: 'Support Alpha Selection',
        showLabel: 'Show Label',
        option: 'Option',
        staticData: 'Static Data',
        remoteData: 'Remote Data',
        remoteFunc: 'Remote Function',
        value: 'Value',
        label: 'Label',
        childrenOption: 'Sub Options',
        defaultValue: 'Default Value',
        showType: 'Display Type',
        isRange: 'Range Selection',
        isTimestamp: 'Get Timestamp',
        startPlaceholder: 'Start Time Placeholder',
        endPlaceholder: 'End Time Placeholder',
        format: 'Format',
        limit: 'Maximum Uploads',
        isQiniu: 'Use Qiniu Upload',
        tokenFunc: 'Get Qiniu Token Function',
        imageAction: 'Image Upload Address',
        tip: 'Tip',
        action: 'Upload Address',
        defaultType: 'Bind Data Type',
        string: 'String',
        object: 'Object',
        array: 'Array',
        number: 'Number',
        boolean: 'Boolean',
        integer: 'Integer',
        float: 'Float',
        url: 'URL Address',
        email: 'Email Address',
        hex: 'Hexadecimal',
        gutter: 'Grid Spacing',
        columnOption: 'Column Configuration',
        span: 'Grid Value',
        justify: 'Horizontal Alignment',
        justifyStart: 'Left',
        justifyEnd: 'Right',
        justifyCenter: 'Center',
        justifySpaceAround: 'Space Around',
        justifySpaceBetween: 'Space Between',
        align: 'Vertical Alignment',
        alignTop: 'Top',
        alignMiddle: 'Middle',
        alignBottom: 'Bottom',
        type: 'Style Type',
        default: 'Default',
        card: 'Tabbed',
        borderCard: 'Card-Style',
        tabPosition: 'Tab Position',
        top: 'Top',
        bottom: 'Bottom',
        tabOption: 'Tab Configuration',
        tabName: 'Tab Name',
        customClass: 'Custom Class',
        attribute: 'Attribute',
        dataBind: 'Data Binding',
        hidden: 'Hidden',
        readonly: 'Read-Only',
        disabled: 'Disabled',
        editable: 'Editable Text Box',
        clearable: 'Show Clear Button',
        arrowControl: 'Use Arrows for Time Selection',
        isDelete: 'Delete',
        isEdit: 'Edit',
        showPassword: 'Show Password',
        validate: 'Validation',
        required: 'Required',
        patternPlaceholder: 'Enter Regular Expression',
        newOption: 'New Option',
        tab: 'Tab',
        validatorRequired: 'Required Field',
        validatorType: 'Incorrect Format',
        validatorPattern: 'Pattern Mismatch',
        showWordLimit: 'Show Word Count',
        maxlength: 'Maximum Word Count',
      }
    },
    upload: {
      preview: 'Preview',
      edit: 'Replace',
      delete: 'Delete'
    }
  }
}