import Vue from "vue";
import Toast from "vue-toastification";
// Import the CSS or use your own!
import "vue-toastification/dist/index.css";


const options = {
  position: "bottom-right",
  timeout: 5000,
  closeOnClick: false,
  pauseOnFocusLoss: false,
  pauseOnHover: true,
  draggable: false,
  draggablePercent: 0.6,
  showCloseButtonOnHover: false,
  hideProgressBar: false,
  closeButton: "button",
  icon: true,
  rtl: false
};

Vue.use(Toast, options);


export default (context, inject) => {
  const alert = async function (type = "info", content = '') {
    Vue.$toast(content, {
      type: type // or "success", "error", "default", "info" and "warning"
    })
  }
  inject('alert', alert)
}
