export default function ({ $axios, i18n, route, redirect }) {
  // i18n.locale to access the current language
  $axios.onRequest(config => {
    config.headers.common[ 'lang' ] = i18n.locale;
    const domain = localStorage.getItem('domain');
    const token = localStorage.getItem('token');
    const isMainDomain = localStorage.getItem('IsMainDomain');

    if (token) {
      config.headers.common[ 'Authorization' ] = `Bearer ${ token }`;
    }
    if (!domain && route.path.endsWith('show')) {
      config.baseURL = route.query.domain;
    }
    if ((domain || route.fullPath.includes('crm-software')) && !isMainDomain) {
      config.baseURL = domain;
    }
  });
  $axios.onError(error => {
    const status = error.response.status;
    // if the plan of user is expired
    if (status == 402) {
      redirect('/dashboard/subscription');
    }
  });
}
