export default (context, inject) => {
  const deepFindByKey = (array, key, value) => {
    for (let i = 0; i < array.length; i++) {
      const item = array[i]

      // Check if the current item has the specified key and value
      if (item[key] === value) {
        return item
      }

      // If the current item has children, recursively search through them
      if (item.children && item.children.length > 0) {
        const result = deepFindByKey(item.children, key, value)
        if (result) {
          return result
        }
      }
    }

    // If no match is found, return null
    return null
  }

  const getNameFromMenus = (value, defaultValue, type) => {
    const array = context.store.state.menus.data || []
    const item = deepFindByKey(array, 'key', value)
    if (item) {
      if (type === 'single') {
        return item?.singular || defaultValue
      } else {
        return item?.name || defaultValue
      }
    } else {
      return defaultValue
    }
  }

  inject('deepFindByKey', deepFindByKey)
  inject('getNameFromMenus', getNameFromMenus)
}
