// state
const state = () => ({
  data: null,
  list: null,
  single: null,
  listTask: null,
  listRreminder:null,
  pagination: null,
  paginationTask: null,
  paginationRreminder:null,

})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  agentsList(state) {
    return state.list
  },

  singleData(state) {
    return state.single
  },

  listTask(state) {
    return state.listTask
  },

  listReminders(state) {
    return state.listRreminder
  },

  

  pagination(state) {
    return state.pagination
  },

  paginationTask(state) {
    return state.paginationTask
  },

  paginationRreminder(state) {
    return state.paginationRreminder
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },


  getSingle({ commit }, id) {
    commit('GET_SINGLE_DATA', id)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  },

  listTask({ commit }, payload) {
    commit('GET_TASK_DATA', payload)
  },

    listReminders({ commit }, payload) {
    commit('GET_REMINDERS_DATA', payload)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/agents${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/agents-list${params}`, null, res => {
      state.list = res.data.data
    })
  },

  GET_SINGLE_DATA(state, id) {
    this.$Api('get', `/admin/agents/${id}`, null, res => {
      state.single = res.data.data
    })
  },
  GET_TASK_DATA(state, payload) {
    this.$Api('get', `/admin/tasks/users/${payload.id?payload.id:payload}?${payload.params?payload.params:''}`, null, res => {
      state.listTask = res.data.data
      state.paginationTask = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },
  GET_REMINDERS_DATA(state, payload) {
    this.$Api('get', `/admin/reminders/users/${payload.id?payload.id:payload}?${payload.params?payload.params:''}`, null, res => {
      state.listRreminder = res.data.data
      state.paginationRreminder = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}

// export const state = () => ({
//   loader: false,
//   data: null,
//   meta: null,
//   single: null,
//   dataList: null,
//   singleLoader: false,
//   formates: []
// })

// export const getters = {
//   agentsList(state) {
//     return state.data
//   }
// }

// export const actions = {
//   fetchAgents(state, params) {
//     state.commit('getAgentsData', params)
//   },
//   index(state, params) {
//     state.commit('index', params)
//   },
//   remove(state, payload) {
//     state.commit('deleteAgent', payload)
//   },
//   storeAgents(state, payload) {
//     let data = new FormData()
//     Object.keys(payload.data).forEach(key => {
//       if (key == 'branches_id') {
//         payload.data[key].forEach(el => {
//           data.append(`branches_id[]`, el)
//         })
//       } else if (payload.data.followers_id && key == 'followers_id') {
//         payload.data[key].forEach(el => {
//           data.append(`followers_id[]`, el)
//         })
//       } else if (payload.data.groups_id && key == 'groups_id') {
//         payload.data[key].forEach(el => {
//           data.append(`groups_id[]`, el)
//         })
//       } else if (payload.data[key] && key != 'ar' && key != 'en') {
//         data.append(key, payload.data[key])
//       }
//     })
//     state.commit('addNewAgentsData', {
//       data: data,
//       callback: payload.callback
//     })
//   },
//   single(state, id) {
//     state.commit('singleAgent', id)
//   },
//   getExportFormat(state, params) {
//     state.commit('getExportFormat', params)
//   },
//   export(state, params) {
//     state.commit('export', params)
//   }
// }

// export const mutations = {
//   async singleAgent(state, id) {
//     state.singleLoader = true
//     this.$Api('get', `/admin/agents/${id}`, null, res => {
//       state.single = res.data.data
//     })
//   },
//   async deleteAgent(state, pay) {
//     this.$Api('delete', `/admin/agents/${pay.id}`, null, () => {
//       pay.callback()
//     })
//   },
//   async getAgentsData(state, params = '') {
//     this.$axios.get(`/admin/agents${params}`).then(res => {
//       state.data = res.data.data
//       state.meta = res.data.meta
//     })
//   },
//   async index(state, params = '') {
//     this.$axios.get(`/admin/agents${params}`).then(res => {
//       state.dataList = res.data.data
//     })
//   },

//   addNewAgentsData(state, payload) {
//     this.$Api(
//       'post',
//       `/admin/agents`,
//       payload.data,
//       res => {
//         // state.data = res.data.data;

//         payload.callback()
//       },
//       error => {
//         Object.keys(error.data.errors).forEach(key => {
//           this.$alert('error', error.data.errors[key][0])
//         })
//         state.loader = false
//       }
//     )
//   },
//   UpdateAgentsData(state, payload) {
//     this.$Api('put', `/admin/agents/${payload.id}`, payload.data, res => {
//       payload.callback()
//     })
//   },
//   async getExportFormat(state, payload) {
//     this.$axios.get(`/admin/exports/formats`).then(res => {
//       state.formates = res.data
//     })
//   },
//   // TODO: MOVE THIS TO utils.js
//   async export(state, payload) {
//     this.$axios
//       .post(`/admin/exports?model=${payload.name}&format=${payload.id}${payload.advancedExport}`, null, {
//         headers: {
//           'Content-Disposition': 'attachment; filename=template.xlsx',
//           'Content-Type': 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
//         },
//         responseType: 'arraybuffer'
//       })
//       .then(async response => {
//         const url = window.URL.createObjectURL(new Blob([response.data]))
//         const link = document.createElement('a')
//         link.href = url
//         link.setAttribute('download', 'template.' + payload.id)
//         document.body.appendChild(link)
//         link.click()
//       })
//   }
// }
