import Vue from 'vue'

export const state = () => ({
  loader: false,
  data: null,
})

export const actions = {
  store(state, payload) {
    const formData = new FormData();
    formData.append('title', payload.title);
    formData.append('attachment', payload.attachment);
    state.commit('store', {
      id: payload.id,
      data: formData
    });
  },
}

export const mutations = {
  async store(state, payload) {
    state.loader = true;
    return await this.$axios.post(`admin/tasks/${payload.id}/attachments`, payload.data).then(res => {
      if (res.data.message) {
        this.$alert('success', res.data.message);
      }
    }).catch((err) => {
      this.$alert("error", error.data.message);
      state.loader = false;
    }).finally((state) => {
      state.loader = false;
    });
  },

}
