// state
const state = () => ({
  data: null,
  list: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  branchesList(state) {
    return state.list
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/branches${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/branches-list${params}`, null, res => {
      state.list = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}

// export const state = () => ({
//   loader: false,
//   data: null,
//   single: null,
//   singleLoader: false,
//   meta: null
// })

// export const getters = {
//   branchesList: state => {
//     return state.data
//   },

//   single() {
//     return [
//       {
//         name: 'Test'
//       }
//     ]
//   }
// }

// export const actions = {
//   index($this, params) {
//     $this.commit('allBranches', params)
//   },
//   single($this, id) {
//     $this.commit('singleBranch', id)
//   },
//   del($this, id) {
//     $this.commit('delBranch', id)
//   }
// }

// export const mutations = {
//   async allBranches($this, params = '') {
//     $this.singleLoader = true
//     $this.loader = true
//     this.$Api(
//       'get',
//       `/admin/branches${params}`,
//       null,
//       res => {
//         $this.data = res.data.data
//         $this.meta = res.data.meta
//         $this.singleLoader = false
//         $this.loader = false
//       },
//       err => {
//         this.$alert('error', err.data.message)
//         $this.singleLoader = false
//         $this.loader = false
//       }
//     )
//   },
//   async delBranch($this, id) {
//     $this.singleLoader = true
//     this.$Api(
//       'delete',
//       `/admin/branches/${id}`,
//       null,
//       res => {
//         $this.singleLoader = false
//         this.$router.push('/dashboard/branches')
//       },
//       err => {
//         $this.singleLoader = false
//       }
//     )
//   },
//   async singleBranch($this, id) {
//     $this.singleLoader = true
//     this.$Api(
//       'get',
//       `/admin/branches/${id}`,
//       null,
//       res => {
//         $this.singleLoader = false
//         $this.single = res.data.data
//       },
//       err => {
//         $this.singleLoader = false
//         $this.single = err.data.data
//       }
//     )
//   }
// }
