// state
const state = () => ({
  data: null,
  list: null,
  childList: null,
  productsList: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  categoriesList(state) {
    return state.list
  },

  childCategoriesList(state) {
    return state.childList
  },

  productsList(state) {
    return state.productsList
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  },

  listAllChild({ commit }, params) {
    commit('GET_LIST_ALL_CHILD', params)
  },

  listProducts({ commit }, params) {
    commit('GET_PRODUCTS_LIST', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/categories${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/categories-list${params}`, null, res => {
      state.list = res.data.data
    })
  },

  GET_LIST_ALL_CHILD(state, params = '') {
    const data = new URLSearchParams()
    data.append('parent_id[]', params)
    this.$Api('get', `/admin/categories-list?${data.toString()}`, null, res => {
      state.childList = res.data.data
    })
  },

  GET_PRODUCTS_LIST(state, params = '') {
    const data = new URLSearchParams()
    data.append('category_id[]', params)
    this.$Api('get', `/admin/products-list?${data.toString()}`, null, res => {
      state.productsList = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
