// state
const state = () => ({
  data: null,
  single: null,
  pagination: null,
  forms: null,
  fields: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  },

  formsList(state) {
    return state.forms
  },

  leadsFields(state) {
    return state.fields
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  getSingle({ commit }, data) {
    commit('GET_SINGLE_DATA', data)
  },

  listForms({ commit }, params) {
    commit('GET_FORMS_LIST', params)
  },

  getLeadsFields({ commit }, params) {
    commit('GET_LEADS_FIELDS', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/contacts${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_SINGLE_DATA(state, data) {
    if (data.path && data.path.includes('dashboard/leads')) {
      this.$Api('get', `/admin/leads/${data.id}`, null, res => {
        state.single = res.data.data
      })
    } else {
      this.$Api('get', `/admin/contacts/${data.id}`, null, res => {
        state.single = res.data.data
      })
    }
  },

  GET_FORMS_LIST(state, params) {
    this.$Api('get', `/admin/forms${params}`, null, res => {
      state.forms = res.data.data
    })
  },

  GET_LEADS_FIELDS(state, params = '') {
    this.$Api('get', `/admin/panel/field-setting${params}`, null, res => {
      state.fields = res.data.data[Object.keys(res.data.data)[0]]
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
