// state
const state = () => ({
  countriesList: null,
  citiesList: null
})

// getters
const getters = {
  countries(state) {
    return state.countriesList
  },

  cities(state) {
    return state.citiesList
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  getCities({ commit }, params) {
    commit('GET_LIST_CITIES', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/countries${params}`, null, res => {
      state.countriesList = res.data.data
    })
  },

  GET_LIST_CITIES(state, params = '') {
    this.$Api('get', `/admin/cities${params}`, null, res => {
      state.citiesList = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
