// state
const state = () => ({
  fieldsList: null,
  leadsList: null,
  submissionsList: null,
  productsList: null
})

// getters
const getters = {
  fields(state) {
    return state.fieldsList || []
  },

  leads(state) {
    return state.leadsList || []
  },

  submissions(state) {
    return state.submissionsList || []
  },

  products(state) {
    return state.productsList || []
  }
}

// actions
const actions = {
  data({ commit }, params) {
    commit('GET_DATA', params)
  },
  update({ commit }, payload) {
    commit('UPDATE', payload)
  }
}

// mutations
const mutations = {
  GET_DATA(state, params) {
    this.$Api('get', `/admin/panel/field-setting${params?.query || ''}`, null, res => {
      const data = res?.data?.data
      const leads = res?.data?.data?.Leads
      const submissions = res?.data?.data?.Submission
      const products = res?.data?.data?.Products

      if (data) {
        state.fieldsList = data
      }
      if (leads) {
        state.leadsList = leads
      }
      if (submissions) {
        state.submissionsList = submissions
      }
      if (products) {
        state.productsList = products
      }

      if (params?.callback) {
        params.callback()
      }
    })
  },
  UPDATE(state, payload) {
    this.$Api('put', `/admin/panel/field-setting`, payload)
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
