// state
const state = () => ({
  data: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  getSingle({ commit }, id) {
    commit('GET_SINGLE_DATA', id)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/folders${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_SINGLE_DATA(state, id) {
    this.$Api('get', `/admin/folders/${id}`, null, res => {
      state.single = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
