import axios from 'axios'
const axiosInstance = require('axios');
import router from 'vue-router'
import Vue from 'vue'
export const state = () => ({
  openInputsPopUp: false,
  preview: false,
  loader: false,
  data: null,
  meta: null,
  singleForm: null,
  code:null,
  json: null,
  reset: false,
  selectedElement: null,
  inputs: {
    1: 'text',
    2: 'textarea',
    3: 'number',
    4: 'tel',
    5: 'email',
    6: 'password',
    7: 'options',
    8: 'checkbox',
    9: 'radio',
    10: 'file',
    11: 'date'
  },
  fields: [],
  form: {
    name: '',
    description: '',
    product_id: null,
    source_id: null,
    branch_id: null,
    'form_response:ar': null,
    'form_response:en': null,
    published_at: '',
    expired_at: '',
    redirection_url: '',
    branch_id: null,
    type: 0
  }
})

export const getters = {
  formsList: state => {
    return state.data
  },

  fields: state => {
    return state.fields
  }
}

export const actions = {
  index(state, params) {
    state.commit('index', params)
  },
  templates(state) {
    state.commit('getTemplates')
  },

  // show form action
  getClientForm({ commit }, id) {
    commit('getClientForm', id)
  },
  // submit form action
  submitForm({ commit }, id) {
    commit('SUBMIT_FORM', id)
  },
  submitForm({ commit }, id) {
    commit('SUBMIT_FORM', id)
  },

  getForms(state, id) {
    state.commit('getForms', id)
  },
  createNewForm(state) {
    state.commit('createNewForm')
  },
  updateFormInfo($this, options = null) {
    $this.commit('updateFormInfo')
  },
  updateFieldData($this, payload) {
    $this.commit('updateFieldDate', payload)
  },
  getVariation(state, id) {
    state.commit('getVariation', id)
  },
  addField(state, id) {
    state.commit('addField', id)
  },
  addFields(state, id) {
    state.commit('addFields', id)
  },
  getField(state, id) {
    state.commit('getField', id)
  },
  getInitialField(state, id) {
    state.commit('getInitialField', id)
  },
  editField(state, id) {
    state.commit('editField', id)
  },
  removeField(state, id) {
    state.commit('removeField', id)
  },
  sendSelectedElement(state, id) {
    state.commit('sendSelectedElement', id)
  }
}

export const mutations = {
  index($this, params = '') {
    $this.singleLoader = true
    $this.loader = true
    this.$Api(
      'get',
      `/admin/forms${params}`,
      null,
      res => {
        // set single form
        $this.singleForm = res.data.data

        $this.data = res.data.data
        $this.meta = res.data.meta
        $this.singleLoader = false
        $this.loader = false
      },
      err => {
        this.$alert('error', err.data.message)
        $this.singleLoader = false
        $this.loader = false
      }
    )
  },

  SUBMIT_FORM($this, id) {
    let payload = {}
    let data = new FormData()
    $this.fields.forEach(el => {
      if (el.value) {
        payload[el.name] = el.value
        if (el.value && el.value[0].size) {
          el.value.forEach((ele, index) => {
            data.append(el.name, ele)
          })
        } else {
          data.append(el.name, el.value)
        }
      }
    })
    this.$Api('post', `/forms/${id}`, data, res => {
      if (res.data.data.isRedirect) {
        window.location.href = res.data.data.redirectUrl
      } else {
        $this.reset = true
      }
    })
  },

  updateFormInfo($this) {
    this.$Api('put', `/admin/forms/${$this.form.id}`, $this.form, res => {
      if (res.data.message) {
        this.$toast('success', res.data.message)
      }
    })
  },

  updateFields($this, payload) {
    $this.fields = payload
  },

  addFields(ctx, payload) {
    const qs = require('qs');
    let data = qs.stringify({
      'json': payload.json
    });
    const url = localStorage.domain;
    let config = {
      method: 'put',
      maxBodyLength: Infinity,
      url: `${url}/admin/fields/${payload.id}`,
      headers: {
        'Accept': 'application/json',
        'lang': 'en',
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': 'Bearer ' + localStorage.getItem('token')
      },
      data: data
    };

    axiosInstance.request(config)
      .then((response) => {
        console.log("response",this)
        Vue.$toast.success( 'Form Updated Successfully')
      })
     

    // return await this.$axios.put(`/admin/fields/${payload.id}`, {json:payload.json}).then(res => {
    //  console.log("reees",res)
    // }).finally((state) => {
    //   state.loader = false;
    // }).catch((err) => {

    // });

  },
  getField($this, payload) {
    return new Promise((resolve, reject) => {
      const qs = require('qs');
      let data = qs.stringify({
      });
      const url = localStorage.domain;
      let config = {
        method: 'get',
        maxBodyLength: Infinity,
        url: `${url}/admin/fields/${payload.id}`,
        headers: {
          'Accept': 'application/json',
          'lang': 'en',
          'Authorization': 'Bearer ' + localStorage.getItem('token')
        },
        data: data
      };

      axiosInstance.request(config)
        .then((response) => {
          $this.json = response.data.data
          resolve(response.data.data)
          payload.call()
          console.log("response",response.data.data)
        })
        .catch((error) => {
          console.log(error);
        });
    });
  },
  getInitialField($this, id) {
    const qs = require('qs');
    let data = qs.stringify({
    });
    const url = localStorage.domain;
    let config = {
      method: 'post',
      maxBodyLength: Infinity,
      url: `${url}/admin/fields/${id}/initial`,
      headers: {
        'Accept': 'application/json',
        'lang': 'en',
        'Authorization': 'Bearer ' + localStorage.getItem('token')
      },
      data: data
    };

    axiosInstance.request(config)
      .then((response) => {
        $this.json = response.data.data
      })
      .catch((error) => {
        console.log(error);
      });
  },

  updateFieldStatus($this, { id, index, status }) {
    this.$Api(
      'put',
      `admin/fields/${id}/update-status`,
      {
        status: status ? 1 : 0
      },
      res => {
        $this.fields[index].status = status
        $this.fields[index].hidden = status
      }
    )
  },

  removeField($this, pay) {
    console.log('paypay', pay)
    this.$Api('delete', `/admin/fields/${pay.id}`, null, () => {
      $this.fields.splice(pay.index, 1)
      console.log('$this.fields', $this.fields)
      pay.callback()
    })
  },

  sendSelectedElement($this, pay) {
    $this.selectedElement = pay
  },

  // show form mutation
  getClientForm(state, payload) {
    let url = `${payload.obj.domain}/forms/${payload.obj.id}`

    this.$Api('get', url, null, res => {
      payload.call()
      return res;
  
  })
  },

  getForms($this, id) {
    $this.loader = true
    this.$Api('get', `/forms/${id}`, null, res => {
      console.log('res', res)
      $this.singleForm = res.data.data
      Object.assign($this.form, res.data.data)
      $this.fields = res.data.data.fields.map(el => {
        return {
          ...el,
          order: el.sort,
          hidden: true,
          value: null,
          openEditModal: false
        }
      })
    })
  },

  async getTemplates(state) {
    state.loader = true
    await this.$Api('get', `/admin/form-templates`, null, res => {
      state.templates = res.data.data
    })
  },

  createNewForm($this) {
    $this.loader = true
    this.$Api('post', `/admin/forms`, $this.form, res => {
      $this.singleForm = res.data.data

      this.$router.push(`/dashboard/forms/${res.data.data.id}`)
    })
  },

  updateFieldDate($this, payload) {
    $this.loader = true
    this.$Api('put', `/admin/fields/${payload.id}`, payload, res => {
      $this.singleForm = res.data.data
      $this.dispatch('show', $this.form.id)
    })
  },

  updateFieldSort($this, payload) {
    $this.loader = true
    this.$Api(
      'put',
      `/admin/fields/${payload.element.id}`,
      {
        form_id: $this.singleForm.id,
        state: 1,
        sort: payload.newIndex + 1
      },
      res => {
        $this.singleForm = res.data.data
      }
    )
  },

  saveField($this, payload) {
    $this.loader = true
    this.$Api('post', `/admin/fields`, payload, res => {
      $this.singleForm = res.data.data
      if (res.data.data) {
        $this.dispatch('show', res.data.data.id)
      }
    })
  },

  async getVariation($this, payload) {
    this.$Api(
      'get',
      `/admin/variation?module=${payload}`,
      null,
      res => {
        for (let index = 0; index < res.data.data.length; index++) {
          const element = res.data.data[index]
          element.hidden = true
          element.value = null
          element.validation = {
            required: false
          }
        }
        $this.fields = res.data.data
      },
      error => {
        this.$alert('error', error.data.data)
      }
    )
  },

  async getTypes($this) {
    this.$Api(
      'get',
      `/admin/fields/types`,
      null,
      res => {
        $this.inputs = res.data
        // delete res.data[10]
        delete res.data[13]
        delete res.data[15]
        delete res.data[14]
        delete res.data[12]
        console.log('reees', res.data)
      },
      error => {
        this.$alert('error', error.data.data)
      }
    )
  },

  async addField($this, payload) {
    let formdata = new FormData()
    $this.loader = true
    console.log('payload.data', payload)
    formdata.append('module', payload.data.module)
    formdata.append('fieldable_id', payload.data.fieldable_id)
    formdata.append('name', payload.data.name)
    formdata.append('status', payload.data.statusInput ? 1 : 0)
    formdata.append('type', payload.data.type)
    formdata.append('label:ar', payload.data.labelar)
    formdata.append('label:en', payload.data.labelen)
    formdata.append('placeholder:ar', payload.data.placelar)
    formdata.append('placeholder:en', payload.data.placelen)
    payload.data.validation ? formdata.append('validation[required]', payload.data.validation) : null
    formdata.append('is_multiple', payload.data.is_multiple == true ? 1 : 0)
    if (payload.data.option1) {
      formdata.append('options[]', payload.data.option1)
    }
    if (payload.data.option2) {
      formdata.append('options[]', payload.data.option2)
    }

  //   if (payload.data.option3) {
  //     formdata.append('options[]', payload.data.option3)
  //   }
  //   return await this.$axios
  //     .post(`/admin/fields`, formdata, {
  //       headers: {
  //         Accept: 'application/json',
  //         lang: payload.data.currentLang
  //       },
  //       responseType: 'arraybuffer'
  //     })
  //     .then(res => {
  //       payload.callback()
  //     })

    // this.$Api('post', `/admin/fields`, formdata, res => {
    //   payload.callback()
    //   //here
    // })
  },

  editField($this, payload) {
    let formdata = new FormData()
    $this.loader = true
    // formdata.append("module", payload.data.module);
    formdata.append('fieldable_id', payload.data.fieldable_id)
    formdata.append('name', payload.data.name)
    formdata.append('status', payload.data.statusInput)
    formdata.append('type', payload.data.type)
    formdata.append('label:ar', payload.data.labelar)
    formdata.append('label:en', payload.data.labelen)
    formdata.append('placeholder:ar', payload.data.placelar)
    formdata.append('placeholder:en', payload.data.placelen)
    formdata.append('validation[required]', payload.data.validation)

    formdata.append('_method', 'put')
    if (payload.data.option1) {
      formdata.append('options[]', payload.data.option1)
    }
    if (payload.data.option2) {
      formdata.append('options[]', payload.data.option2)
    }

    if (payload.data.option3) {
      formdata.append('options[]', payload.data.option3)
    }
    this.$Api('post', `/admin/fields/${payload.data.id}`, formdata, res => {
      payload.callback()
    })
  }
}

const getBase64 = file => {
  return new Promise((resolve, reject) => {
    const reader = new FileReader()
    reader.readAsDataURL(file)
    reader.onload = () => resolve(reader.result)
    reader.onerror = error => reject(error)
  })
}