// state
const state = () => ({
  loader: false,
  data: [],
  singleProduct:null,
  singleLoader: null,
  groupsList: [],
  list: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  departmentsList(state) {
    return state.list
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  }
}

export const actions = {
  index($this, params) {
    $this.commit('index', params)
  },

  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  }
}

export const mutations = {
  async index($this, params = '') {
    $this.singleLoader = true
    $this.loader = true
    this.$Api(
      'get',
      `/admin/departments-list`,
      null,
      res => {
        $this.groupsList = res.data.data
        $this.data = res.data.data
        $this.meta = res.data.meta
        if (res.data.message) {
          $this.singleLoader = false
          $this.loader = false
          this.$alert('success', res.data.message)
        }
      },
      err => {
        $this.data = res.data.data
        if (res.data.message) {
          $this.singleLoader = false
          $this.loader = false
          this.$alert('error', err.data.message)
        }
      }
    )
  },

  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/groups?${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/groups-list?${params}`, null, res => {
      state.list = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
