export const state = () => ({
  loader: false,
  data: null,
  single: null,
  singleLoader: false,
  openMedia: false
})

export const actions = {
  store($this, payload) {
    $this.commit('storeMedia', payload)
  },
  update($this, payload) {
    $this.commit('updateMedia', payload)
  },
  deleteMedia($this, payload) {
    $this.commit('deleteMedia', payload)
  }
}

export const mutations = {
  openMedia($this, payload) {
    $this.openMedia = true
  },
  storeMedia($this, payload) {
    return new Promise((resolve, reject) => {
      this.$Api('post', `/admin/media`, payload.data, res => {
        resolve(res)
        payload.call()
      })
    })
  },

  updateMedia($this, payload) {
    console.log(payload.id)
    return new Promise((resolve, reject) => {
      this.$Api('post', `/admin/media/${payload.id}`, payload.data, res => {
        resolve(res)
        payload.call()
      })
    })
  },

  deleteMedia($this, payload) {
    return new Promise((resolve, reject) => {
      this.$Api('post', `/admin/media/deletes`, payload.data, res => {
        resolve(res)
        payload.call()
      })
    })
  }
}
