// state
const state = () => ({
  data: [],
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  update({ commit }, params) {
    commit('UPDATE_DATA', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `admin/panel/notification-settings${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  UPDATE_DATA(state, params) {
    this.$Api('put', `admin/panel/notification-settings/${params.item.id}`, params.payload, res => {
      const notification = res?.data?.data
      const index = state.data.indexOf(params.item)
      Object.assign(state.data[index], notification)
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
