// state
const state = () => ({
  data: null,
  projectsList: null,
  currentProjectData: null,
  currentProjectTasks: null,
  currentProjectAgents: null,
  currentTaskData: null,
  currentTaskAgents: null,
  currentTaskComments: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  projectsList(state) {
    return state.projectsList
  },

  currentProject(state) {
    return state.currentProjectData
  },

  projectTasks(state) {
    return state.currentProjectTasks
  },

  projectAgents(state) {
    return state.currentProjectAgents
  },

  currentTask(state) {
    return state.currentTaskData
  },

  taskAgents(state) {
    return state.currentTaskAgents
  },

  taskComments(state) {
    return state.currentTaskComments
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  getProjectProfile({ commit }, id) {
    commit('GET_PROJECT_PROFILE', id)
  },

  getTaskProfile({ commit }, id) {
    commit('GET_TASK_PROFILE', id)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/projects${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_PROJECT_PROFILE(state, id) {
    this.$Api('get', `/admin/projects/${id}`, null, res => {
      state.currentProjectData = res.data.data
      state.currentProjectTasks = res.data.data.tasks
      state.currentProjectAgents = res.data.data.employees
    })
  },

  GET_TASK_PROFILE(state, id) {
    this.$Api('get', `/admin/tasks/${id}`, null, res => {
      state.currentTaskData = res.data.data
      state.currentTaskAgents = res.data.data.owners
      state.currentTaskComments = res.data.data.comments
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
