export const state = () => ({
  loader: false,
  data: null,
  single: null,
  meta: {},
  singleLoader: false,
});


export const actions = {
  index ($this, params) {
    $this.commit('index', params);
  },
  show ($this, id) {
    $this.commit('show', id);
  },
  delete ($this, id) {
    $this.commit('delete', id);
  },
};

export const mutations = {
  index ($this, params = '') {
    $this.singleLoader = true;
    $this.loader = true;
    this.$Api('get', `/admin/roles${ params }`, null, (res) => {
      $this.data = res.data.data;
      $this.meta = res.data.meta;
      $this.singleLoader = false;
      $this.loader = false;
    }, (err) => {
      this.$alert('error', err.data.message);
      $this.singleLoader = false;
      $this.loader = false;
    });
  },
  async show ($this, id) {
    $this.singleLoader = true;
    this.$Api('get', `/admin/roles/${ id }`, null, (res) => {
      $this.single = res.data.data;
      $this.singleLoader = false;
    }, (err) => {
      $this.singleLoader = false;
    });
  },
  async delete ($this, id) {
    $this.singleLoader = true;
    this.$Api('delete', `/admin/roles/${ id }`, null, (res) => {
      $this.singleLoader = false;
    }, (err) => {
      $this.singleLoader = false;
    });
  },
};
export const getters = {
  meta: state => state.meta,
};
