// state
const state = () => ({
  loader: false,
  data: [],
  list: [],
  singleLoader: null,
  single: null,
  pagination: null,
  nameSegment: null,
  idSegment: null,
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  departmentsList(state) {
    return state.list
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  },

  segmentsList(state) {
    return state.list
  },

  segmentName(state) {
    return state.nameSegment
  },

  segmentId(state) {
    return state.idSegment
  }
}

export const actions = {
  index($this, params) {
    $this.commit('index', params)
  },

  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  },

  getSingle({ commit }, id) {
    commit('GET_SINGLE_DATA', id)
  },

  storeNameSegment({ commit }, params) {
    commit('STORE_NAME', params)
  },

  storeIdSegment({ commit }, params) {
    commit('STORE_ID', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/segments${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/segments-list${params}`, null, res => {
      state.list = res.data.data
    })
  },

  GET_SINGLE_DATA(state, id) {
    this.$Api('get', `/admin/segments/${id}`, null, res => {
      state.single = res.data.data
    })
  },
  STORE_NAME(state, params = '') {
    state.nameSegment = params;
  },

  STORE_ID(state, params = '') {
    state.idSegment = params;
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
