// state
const state = () => ({
  data: null,
  list: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  servicesList(state) {
    return state.list
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/services${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/services-list${params}`, null, res => {
      state.list = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}

// export const state = () => ({
//   loader: false,
//   data: null,
//   single: null,
//   singleLoader: false,
//   meta: null
// })

// export const getters = {
//   servicesList: state => {
//     return state.data
//   }
// }

// export const actions = {
//   index($this, params) {
//     $this.commit('index', params)
//   },
//   show($this, id) {
//     $this.commit('show', id)
//   },
//   delete($this, id) {
//     $this.commit('delete', id)
//   }
// }

// export const mutations = {
//   index($this, params = '') {
//     $this.singleLoader = true
//     $this.loader = true
//     this.$Api(
//       'get',
//       `/admin/services${params}`,
//       null,
//       res => {
//         $this.data = res.data.data
//         $this.meta = res.data.meta
//       },
//       err => {
//         this.$alert('error', err.data.message)
//       }
//     )
//   },
//   async show($this, id) {
//     $this.singleLoader = true
//     this.$Api(
//       'get',
//       `/admin/services/${id}`,
//       null,
//       res => {
//         $this.singleLoader = false
//       },
//       err => {
//         $this.singleLoader = false
//       }
//     )
//   },
//   async delete($this, id) {
//     $this.singleLoader = true
//     this.$Api(
//       'delete',
//       `/admin/services/${id}`,
//       null,
//       res => {
//         $this.singleLoader = false
//       },
//       err => {
//         $this.singleLoader = false
//       }
//     )
//   }
// }
