import Vue from 'vue'
export const strict = false

export const state = () => ({
  loader: false,
  data: null,
  meta: null,
  single: null,
  singleLoader: false
})

export const getters = {
  linksList: state => {
    return state.data
  }
}

export const actions = {
  index($this, params) {
    $this.commit('index', params)
  }
}

export const mutations = {
  async index(state, params = '') {
    state.loader = true
    try {
      await this.$axios.get(`/admin/share-files${params}`).then(res => {
        state.data = res.data.data
        state.meta = res.data.meta
        if (res.data.message) {
          this.$alert('success', res.data.message)
        }
      })
    } catch (error) {
      state.loader = false
      this.$alert('error', error.message)
    } finally {
      state.loader = false
    }
  }
}
