// state
const state = () => ({
  data: null,
  list: null,
  statusList: null,
  allStatus: null,
  single: null,
  pagination: null
})

// getters
const getters = {
  allData(state) {
    return state.data
  },

  stagesList(state) {
    return state.list
  },

  statusList(state) {
    return state.statusList
  },

  singleData(state) {
    return state.single
  },

  pagination(state) {
    return state.pagination
  },

  allStatusList(state) {
    return state.allStatus
  }
}

// actions
const actions = {
  list({ commit }, params) {
    commit('GET_LIST_DATA', params)
  },

  listAll({ commit }, params) {
    commit('GET_LIST_ALL', params)
  },

  listStageStatus({ commit }, id) {
    commit('GET_LIST_STAGE_STATUS', id)
  },

  getAllStatus({ commit }, params) {
    commit('LIST_ALL_STATUS', params)
  }
}

// mutations
const mutations = {
  GET_LIST_DATA(state, params = '') {
    this.$Api('get', `/admin/stages${params}`, null, res => {
      state.data = res.data.data
      state.pagination = {
        meta: res.data.meta,
        links: res.data.links
      }
    })
  },

  GET_LIST_ALL(state, params = '') {
    this.$Api('get', `/admin/stages-list${params}`, null, res => {
      state.list = res.data.data
    })
  },

  GET_LIST_STAGE_STATUS(state, id) {
    this.$Api('get', `/admin/statuses?stage_id=${id}`, null, res => {
      state.statusList = res.data.data
    })
  },

  LIST_ALL_STATUS(state, params = '') {
    this.$Api('get', `/admin/statuses-list${params}`, null, res => {
      state.allStatus = res.data.data
    })
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
