import Vue from 'vue'
export const strict = false

export const state = () => ({
  loader: false,
  data: null,
  meta: null,
  single: null,
  singleLoader: false
})

export const getters = {
  statusList: state => {
    return state.data
  }
}

export const actions = {
  index($this, params) {
    $this.commit('index', params)
  },
  single(state, id) {
    state.commit('singleAgent', id)
  }
}

export const mutations = {
  async index(state, params = '') {
    state.loader = true
    try {
      await this.$axios.get(`/admin/statuses${params}`).then(res => {
        state.data = res.data.data
        state.meta = res.data.meta
        if (res.data.message) {
          this.$alert('success', res.data.message)
        }
      })
    } catch (error) {
      state.loader = false
      this.$alert('error', error.message)
    } finally {
      state.loader = false
    }
  },

  async singleAgent(state, id) {
    state.singleLoader = true
    this.$Api('get', `/admin/statuses/${id}`, null, res => {
      state.single = res.data.data
    })
  }
}
