const colors = {
  primary: '#ffc107',
  secondary: '#181818',
  gray: {
    50: '#FAFAFA',
    100: '#F4F4F4',
    200: '#EAEAEA',
    300: '#CBCBCB',
    400: '#999999',
    500: '#6A6A6A',
    600: '#3F3F3F',
    700: '#374151',
    800: '#464646',
    900: '#262626',
  },
  yellow: {
    50: '#fff9e6',
    100: '#ffecb2',
    200: '#ffe28d',
    300: '#ffd559',
    400: '#ffcd39',
    500: '#ffc107',
    600: '#e8b006',
    700: '#b58905',
    800: '#8c6a04',
    900: '#6b5103',
  },
  blue: {
    50: '#e6e8ee',
    100: '#b0b6cb',
    200: '#8a93b1',
    300: '#54628e',
    400: '#334478',
    500: '#001556',
    600: '#00134e',
    700: '#000f3d',
    800: '#000c2f',
    900: '#000924',
  },
  error: {
    50: "#FEF3F2",
    100: "",
    200: "",
    300: "#FDA29B",
    400: "",
    500: "#F04438",
    600: "#D92D20",
    700: "#B42318",
    800: "#912018",
  }
};

module.exports = {
  theme: {
    extend: {
      colors: {
        'app-primary': '#001556',
        'app-accent': '#FFCB04',
        'app-accentlight': '#FFFAE6',
        'app-subtitle': '#969BA0',
        'app-danger': '#F24242',
        'app-lighty': '#e9ecff',
        'anchor-base-yallow': '#FFCB04',
        ...colors,
      },
      boxShadow: {
        'app-sm': '0px 6px 24px 0px rgba(53, 55, 81, 0.06)'
      }
    },
  },
  plugins: [],
  content: [ `components/**/*.{vue,js}`, `layouts/**/*.vue`, `pages/**/*.vue`, `plugins/**/*.{js,ts}`, `nuxt.config.{js,ts}` ],
  mode: 'jit'
};
